clear
cscript seqlogit_p adofiles seqlogit_p

use nlsw88, clear
gen ed = cond(grade< 12, 1, ///
         cond(grade==12, 2, ///
         cond(grade<16,3,4))) if grade < .
gen byr = (1988-age-1950)/10
gen white = race == 1 if race < .

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or

// without specifying levels

predict y, y
sum y

assert reldif( r(sum)    , 5637.987821221352 ) <  1E-8
assert reldif( r(max)    , 2.642557859420776 ) <  1E-8
assert reldif( r(min)    , 1.914830923080444 ) <  1E-8
assert reldif( r(sd)     , .1660119949275092 ) <  1E-8
assert reldif( r(mean)   , 2.51023500499615  ) <  1E-8
assert         r(N)     == 2246

drop y

predict xb, xb eq(#1)
sum xb

assert reldif( r(sum)    , 4136.081529706717 ) <  1E-8
assert reldif( r(max)    , 2.32261323928833  ) <  1E-8
assert reldif( r(min)    , .2050195932388306 ) <  1E-8
assert reldif( r(sd)     , .5219164329177906 ) <  1E-8
assert reldif( r(mean)   , 1.841532292834691 ) <  1E-8
assert         r(N)     == 2246

drop xb
predict xb, xb eq(#2)
sum xb

assert reldif( r(sum)    , 37.41211200586986 ) <  1E-8
assert reldif( r(max)    , .1438502371311188 ) <  1E-8
assert reldif( r(min)    , -.2423133850097656) <  1E-8
assert reldif( r(sd)     , .1143211096984092 ) <  1E-8
assert reldif( r(mean)   , .0166572181682413 ) <  1E-8
assert         r(N)     == 2246

drop xb
predict xb, xb eq(#3)
sum xb

assert reldif( r(sum)    , 277.0075601534918 ) <  1E-8
assert reldif( r(max)    , .4913475215435028 ) <  1E-8
assert reldif( r(min)    , -.4015420377254486) <  1E-8
assert reldif( r(sd)     , .2196077331294306 ) <  1E-8
assert reldif( r(mean)   , .1233337311458111 ) <  1E-8
assert         r(N)     == 2246

drop xb

predict stdp, stdp eq(#1)
sum stdp


assert reldif( r(sum)    , 292.690332852304  ) <  1E-8
assert reldif( r(max)    , .2162359356880188 ) <  1E-8
assert reldif( r(min)    , .0958364307880402 ) <  1E-8
assert reldif( r(Var)    , .000691187308944  ) <  1E-8
assert reldif( r(mean)   , .1303162657401175 ) <  1E-8
assert         r(N)     == 2246

drop stdp
predict stdp, stdp eq(#2)
sum stdp

assert reldif( r(sum)    , 225.02597354725   ) <  1E-8
assert reldif( r(max)    , .2361408174037933 ) <  1E-8
assert reldif( r(min)    , .061734814196825  ) <  1E-8
assert reldif( r(sd)     , .0331097137342639 ) <  1E-8
assert reldif( r(mean)   , .1001896587476625 ) <  1E-8
assert         r(N)     == 2246

drop stdp
predict stdp, stdp eq(#3)
sum stdp


assert reldif( r(sum)    , 321.8578730076551 ) <  1E-8
assert reldif( r(max)    , .3431197702884674 ) <  1E-8
assert reldif( r(min)    , .0854061543941498 ) <  1E-8
assert reldif( r(sd)     , .0492301455603201 ) <  1E-8
assert reldif( r(mean)   , .1433027039214849 ) <  1E-8
assert         r(N)     == 2246

drop stdp

predict trpr*, trpr
sum trpr1

assert reldif( r(sum)    , 1911.69280141592  ) <  1E-8
assert reldif( r(max)    , .910732626914978  ) <  1E-8
assert reldif( r(min)    , .5510761141777039 ) <  1E-8
assert reldif( r(sd)     , .0778612510931721 ) <  1E-8
assert reldif( r(mean)   , .8511544084665718 ) <  1E-8
assert         r(N)     == 2246

sum trpr2

assert reldif( r(sum)    , 1132.353319883347 ) <  1E-8
assert reldif( r(max)    , .5359006524085999 ) <  1E-8
assert reldif( r(min)    , .4397163391113281 ) <  1E-8
assert reldif( r(sd)     , .0285298673243278 ) <  1E-8
assert reldif( r(mean)   , .5041644344983733 ) <  1E-8
assert         r(N)     == 2246

sum trpr3

assert reldif( r(sum)    , 1191.301972270012 ) <  1E-8
assert reldif( r(max)    , .6204238533973694 ) <  1E-8
assert reldif( r(min)    , .4009419083595276 ) <  1E-8
assert reldif( r(sd)     , .0540972807460167 ) <  1E-8
assert reldif( r(mean)   , .5304104952226233 ) <  1E-8
assert         r(N)     == 2246

drop trpr*

predict tratrisk*, tratrisk

sum tratrisk1

assert         r(sum)   == 2246
assert         r(max)   == 1
assert         r(min)   == 1
assert         r(sd)    == 0
assert         r(mean)  == 1
assert         r(N)     == 2246

sum tratrisk2

assert reldif( r(sum)    , 1911.69280141592  ) <  1E-8
assert reldif( r(max)    , .910732626914978  ) <  1E-8
assert reldif( r(min)    , .5510761141777039 ) <  1E-8
assert reldif( r(sd)     , .0778612510931721 ) <  1E-8
assert reldif( r(mean)   , .8511544084665718 ) <  1E-8
assert         r(N)     == 2246

sum tratrisk3

assert reldif( r(sum)    , 967.8416211307049 ) <  1E-8
assert reldif( r(max)    , .4880622029304504 ) <  1E-8
assert reldif( r(min)    , .2423171699047089 ) <  1E-8
assert reldif( r(sd)     , .0586366514001243 ) <  1E-8
assert reldif( r(mean)   , .4309179078943477 ) <  1E-8
assert         r(N)     == 2246

drop tratrisk*

predict trvar*, trvar

sum trvar1


assert reldif( r(sum)    , 270.9370147883892 ) <  1E-8
assert reldif( r(max)    , .2473912239074707 ) <  1E-8
assert reldif( r(min)    , .0812987089157104 ) <  1E-8
assert reldif( r(sd)     , .0447439505712691 ) <  1E-8
assert reldif( r(mean)   , .1206309059609925 ) <  1E-8
assert         r(N)     == 2246

sum trvar2

assert reldif( r(sum)    , 559.6337224394083 ) <  1E-8
assert reldif( r(max)    , .2499999105930328 ) <  1E-8
assert reldif( r(min)    , .2463658750057221 ) <  1E-8
assert reldif( r(sd)     , .0006184511328738 ) <  1E-8
assert reldif( r(mean)   , .2491690660905647 ) <  1E-8
assert         r(N)     == 2246

sum trvar3




assert reldif( r(sum)    , 552.8528748899698 ) <  1E-8
assert reldif( r(max)    , .2499997019767761 ) <  1E-8
assert reldif( r(min)    , .2354981005191803 ) <  1E-8
assert reldif( r(sd)     , .0051205532534479 ) <  1E-8
assert reldif( r(mean)   , .2461499888201112 ) <  1E-8
assert         r(N)     == 2246

drop trvar*

predict trgain* , trgain
sum trgain1

assert reldif( r(sum)    , 3977.370084404945 ) <  1E-8
assert reldif( r(max)    , 1.803556561470032 ) <  1E-8
assert reldif( r(min)    , 1.660080909729004 ) <  1E-8
assert reldif( r(sd)     , .0390148718321064 ) <  1E-8
assert reldif( r(mean)   , 1.770868247731498 ) <  1E-8
assert         r(N)     == 2246

sum trgain2

assert reldif( r(sum)    , 3437.301925897598 ) <  1E-8
assert reldif( r(max)    , 1.620423913002014 ) <  1E-8
assert reldif( r(min)    , 1.400941848754883 ) <  1E-8
assert reldif( r(sd)     , .0540972843512    ) <  1E-8
assert reldif( r(mean)   , 1.530410474575957 ) <  1E-8
assert         r(N)     == 2246

sum trgain3

assert         r(sum)   == 2246
assert         r(max)   == 1
assert         r(min)   == 1
assert         r(sd)    == 0
assert         r(mean)  == 1
assert         r(N)     == 2246

drop trgain*

// this will cause an non-informative error:
// predict trw, trw
predict trw* , trw

sum trw1

assert reldif( r(sum)    , 475.9157681316137 ) <  1E-8
assert reldif( r(max)    , .4106894433498383 ) <  1E-8
assert reldif( r(min)    , .146626815199852  ) <  1E-8
assert reldif( r(sd)     , .0725197588415986 ) <  1E-8
assert reldif( r(mean)   , .2118948210737372 ) <  1E-8
assert         r(N)     == 2246

sum trw2

assert reldif( r(sum)    , 729.3437499552965 ) <  1E-8
assert reldif( r(max)    , .3468872904777527 ) <  1E-8
assert reldif( r(min)    , .2038058638572693 ) <  1E-8
assert reldif( r(sd)     , .0327681046728209 ) <  1E-8
assert reldif( r(mean)   , .3247300756702122 ) <  1E-8
assert         r(N)     == 2246

sum trw3

assert reldif( r(sum)    , 238.4247635602951 ) <  1E-8
assert reldif( r(max)    , .1220154017210007 ) <  1E-8
assert reldif( r(min)    , .0605789721012115 ) <  1E-8
assert reldif( r(sd)     , .0153497101773509 ) <  1E-8
assert reldif( r(mean)   , .1061552820838358 ) <  1E-8
assert         r(N)     == 2246

drop trw*

predict pr*, pr
sum pr1

assert reldif( r(sum)    , 334.3071978911758 ) <  1E-8
assert reldif( r(max)    , .4489238858222961 ) <  1E-8
assert reldif( r(min)    , .0892673879861832 ) <  1E-8
assert reldif( r(sd)     , .0778612525774751 ) <  1E-8
assert reldif( r(mean)   , .1488455912249224 ) <  1E-8
assert         r(N)     == 2246

sum pr2

assert reldif( r(sum)    , 943.8511666655541 ) <  1E-8
assert reldif( r(max)    , .4460091292858124 ) <  1E-8
assert reldif( r(min)    , .308758944272995  ) <  1E-8
assert reldif( r(sd)     , .0261578378854056 ) <  1E-8
assert reldif( r(mean)   , .420236494508261  ) <  1E-8
assert         r(N)     == 2246

sum pr3

assert reldif( r(sum)    , 455.3882373869419 ) <  1E-8
assert reldif( r(max)    , .2511333525180817 ) <  1E-8
assert reldif( r(min)    , .1208795234560967 ) <  1E-8
assert reldif( r(sd)     , .0384555646185304 ) <  1E-8
assert reldif( r(mean)   , .2027552259069198 ) <  1E-8
assert         r(N)     == 2246

sum pr4

assert reldif( r(sum)    , 512.4533907473087 ) <  1E-8
assert reldif( r(max)    , .2540345788002014 ) <  1E-8
assert reldif( r(min)    , .1214376464486122 ) <  1E-8
assert reldif( r(sd)     , .0347791907864224 ) <  1E-8
assert reldif( r(mean)   , .2281626851056584 ) <  1E-8
assert         r(N)     == 2246

drop pr*

predict eff, eff
sum eff

assert reldif( r(sum)    , 588.3208251744509 ) <  1E-8
assert reldif( r(max)    , .6957294940948486 ) <  1E-8
assert reldif( r(min)    , .0893837139010429 ) <  1E-8
assert reldif( r(sd)     , .1212725275028379 ) <  1E-8
assert reldif( r(mean)   , .2619415962486424 ) <  1E-8
assert         r(N)     == 2246

drop eff

predict resid, resid

sum resid

assert reldif( r(sum)    , -.0127350091934204) <  1E-8
assert reldif( r(max)    , 2.085169076919556 ) <  1E-8
assert reldif( r(min)    , -1.640384912490845) <  1E-8
assert reldif( r(sd)     , .9878662026229805 ) <  1E-8
assert reldif( r(mean)   , -5.67513778673e-06) <  1E-8
assert         r(N)     == 2244

drop resid

predict score*, score
sum score1

assert reldif( r(sum)    , 6.22867611415e-06 ) <  1E-8
assert reldif( r(max)    , .4489238850954767 ) <  1E-8
assert reldif( r(min)    , -.9097722085382259) <  1E-8
assert reldif( r(sd)     , .3471430854582099 ) <  1E-8
assert reldif( r(mean)   , 2.77570236816e-09 ) <  1E-8
assert         r(N)     == 2244

sum score2

assert reldif( r(sum)    , 9.20580500718e-08 ) <  1E-8
assert reldif( r(max)    , .5602836663316613 ) <  1E-8
assert reldif( r(min)    , -.5359006730863366) <  1E-8
assert reldif( r(sd)     , .4606560247652741 ) <  1E-8
assert reldif( r(mean)   , 4.10240864848e-11 ) <  1E-8
assert         r(N)     == 2244

sum score3

assert reldif( r(sum)    , 7.10787545155e-07 ) <  1E-8
assert reldif( r(max)    , .5990580923351703 ) <  1E-8
assert reldif( r(min)    , -.6204238193437911) <  1E-8
assert reldif( r(sd)     , .3258194784409312 ) <  1E-8
assert reldif( r(mean)   , 3.16750242939e-10 ) <  1E-8
assert         r(N)     == 2244

drop score*

// specifying -levels()-
drop _white_X_byr
seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or levels(1=10, 2=12, 3=14, 4=16)
predict y, y 
sum y

assert reldif( r(sum)    , 29243.9756269455  ) <  1E-8
assert reldif( r(max)    , 13.2851152420044  ) <  1E-8
assert reldif( r(min)    , 11.82966232299805 ) <  1E-8
assert reldif( r(sd)     , .3320240124413079 ) <  1E-8
assert reldif( r(mean)   , 13.02047000309239 ) <  1E-8
assert         r(N)     == 2246
drop y

predict trg*, trg 
sum trg1

assert reldif( r(sum)    , 7954.73997926712  ) <  1E-8
assert reldif( r(max)    , 3.607112884521484 ) <  1E-8
assert reldif( r(min)    , 3.320161581039429 ) <  1E-8
assert reldif( r(sd)     , .0780297442268444 ) <  1E-8
assert reldif( r(mean)   , 3.541736411071736 ) <  1E-8
assert         r(N)     == 2246

sum trg2

assert reldif( r(sum)    , 6874.603776931763 ) <  1E-8
assert reldif( r(max)    , 3.240848064422607 ) <  1E-8
assert reldif( r(min)    , 2.801883697509766 ) <  1E-8
assert reldif( r(sd)     , .1081945697574111 ) <  1E-8
assert reldif( r(mean)   , 3.060820915820019 ) <  1E-8
assert         r(N)     == 2246

sum trg3

assert         r(sum)   == 4492
assert         r(max)   == 2
assert         r(min)   == 2
assert         r(sd)    == 0
assert         r(mean)  == 2
assert         r(N)     == 2246

drop trg*

predict trw*, trw 
sum trw1

assert reldif( r(sum)    , 951.8315094411373 ) <  1E-8
assert reldif( r(max)    , .8213788270950317 ) <  1E-8
assert reldif( r(min)    , .293253630399704  ) <  1E-8
assert reldif( r(sd)     , .1450395146279312 ) <  1E-8
assert reldif( r(mean)   , .4237896302053149 ) <  1E-8
assert         r(N)     == 2246

sum trw2

assert reldif( r(sum)    , 1458.687490880489 ) <  1E-8
assert reldif( r(max)    , .6937745809555054 ) <  1E-8
assert reldif( r(min)    , .4076116979122162 ) <  1E-8
assert reldif( r(sd)     , .0655362103256601 ) <  1E-8
assert reldif( r(mean)   , .6494601473198973 ) <  1E-8
assert         r(N)     == 2246

sum trw3

assert reldif( r(sum)    , 476.8495271205902 ) <  1E-8
assert reldif( r(max)    , .2440308034420013 ) <  1E-8
assert reldif( r(min)    , .1211579442024231 ) <  1E-8
assert reldif( r(sd)     , .0306994203547017 ) <  1E-8
assert reldif( r(mean)   , .2123105641676715 ) <  1E-8
assert         r(N)     == 2246

drop trw*

predict eff, eff 
sum eff

assert reldif( r(sum)    , 1176.641629859805 ) <  1E-8
assert reldif( r(max)    , 1.391458868980408 ) <  1E-8
assert reldif( r(min)    , .1787674278020859 ) <  1E-8
assert reldif( r(sd)     , .2425450631928149 ) <  1E-8
assert reldif( r(mean)   , .5238831833748019 ) <  1E-8
assert         r(N)     == 2246

drop eff

exit
