clear 
discard
cscript seqlogit adofiles seqlogit

use nlsw88, clear
gen ed = cond(grade< 12, 1, ///
         cond(grade==12, 2, ///
         cond(grade<16,3,4))) if grade < .
gen byr = (1988-age-1950)/10
gen white = race == 1 if race < .

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or

assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.201268679787) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 110.3777196913979 ) <  1E-8
assert reldif( e(p)           , 5.03821564566e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 1
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(eqtr1c1)    == 1
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.217024340108004
mat `T_b'[1,2] = -.4400559313297525
mat `T_b'[1,3] =  .7785953061085027
mat `T_b'[1,4] = -1.099461137123422
mat `T_b'[1,5] =  1.496992548933557
mat `T_b'[1,6] =  .1304910422495621
mat `T_b'[1,7] =  -.191352078136546
mat `T_b'[1,8] =  .0868792074792556
mat `T_b'[1,9] = -.0890195215369752
mat `T_b'[1,10] =  .0403824227482097
mat `T_b'[1,11] =  .1969577078725147
mat `T_b'[1,12] =  .4061486596920232
mat `T_b'[1,13] =   .293254841166228
mat `T_b'[1,14] = -.2764086906071376
mat `T_b'[1,15] = -.2636716549094211
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =   .098999359280134
mat `T_V'[1,2] = -.0012447439638175
mat `T_V'[1,3] =  -.013560691110078
mat `T_V'[1,4] = -.0990793928547249
mat `T_V'[1,5] =  .0140796411638402
mat `T_V'[1,6] =  9.50585421439e-12
mat `T_V'[1,7] = -2.29116164830e-12
mat `T_V'[1,8] =  8.03443803122e-12
mat `T_V'[1,9] = -9.57530515296e-12
mat `T_V'[1,10] = -7.19459689908e-12
mat `T_V'[1,11] = -3.01784795881e-11
mat `T_V'[1,12] =  1.18628540731e-12
mat `T_V'[1,13] =  2.24426643001e-12
mat `T_V'[1,14] =  2.98883243988e-11
mat `T_V'[1,15] = -2.84550042987e-12
mat `T_V'[2,1] = -.0012447439638175
mat `T_V'[2,2] =  .0157244019514469
mat `T_V'[2,3] =  .0040846951294028
mat `T_V'[2,4] =  .0022557792715281
mat `T_V'[2,5] = -.0106404041549409
mat `T_V'[2,6] = -1.73384993886e-12
mat `T_V'[2,7] =  4.90016568073e-13
mat `T_V'[2,8] =  1.58387238630e-13
mat `T_V'[2,9] =  1.07312979497e-12
mat `T_V'[2,10] = -1.38909790363e-12
mat `T_V'[2,11] =  1.89717339495e-12
mat `T_V'[2,12] = -1.66890441564e-12
mat `T_V'[2,13] =  2.10408957641e-12
mat `T_V'[2,14] =  2.17461809764e-12
mat `T_V'[2,15] =  1.37962023158e-12
mat `T_V'[3,1] =  -.013560691110078
mat `T_V'[3,2] =  .0040846951294028
mat `T_V'[3,3] =  .0193366846634305
mat `T_V'[3,4] =  .0228427847986692
mat `T_V'[3,5] = -.0135236659007422
mat `T_V'[3,6] =  6.67994447517e-12
mat `T_V'[3,7] = -4.58542237165e-13
mat `T_V'[3,8] = -5.41266004023e-12
mat `T_V'[3,9] = -1.57963976990e-11
mat `T_V'[3,10] =  3.42937171956e-12
mat `T_V'[3,11] =  2.13010322227e-12
mat `T_V'[3,12] =  3.08041540264e-12
mat `T_V'[3,13] = -4.03331571167e-12
mat `T_V'[3,14] = -4.42783149095e-12
mat `T_V'[3,15] =  1.42720347467e-12
mat `T_V'[4,1] = -.0990793928547249
mat `T_V'[4,2] =  .0022557792715281
mat `T_V'[4,3] =  .0228427847986692
mat `T_V'[4,4] =  .1646661972141748
mat `T_V'[4,5] = -.0147637895544864
mat `T_V'[4,6] = -9.28050371739e-12
mat `T_V'[4,7] = -2.10090950234e-12
mat `T_V'[4,8] = -1.80733310194e-11
mat `T_V'[4,9] =  2.65367011398e-11
mat `T_V'[4,10] =  9.71938530118e-12
mat `T_V'[4,11] =  2.99851297991e-11
mat `T_V'[4,12] =  2.72126613537e-12
mat `T_V'[4,13] = -4.74200065787e-12
mat `T_V'[4,14] = -1.96642948863e-11
mat `T_V'[4,15] =  7.48880735477e-13
mat `T_V'[5,1] =  .0140796411638402
mat `T_V'[5,2] = -.0106404041549409
mat `T_V'[5,3] = -.0135236659007422
mat `T_V'[5,4] = -.0147637895544864
mat `T_V'[5,5] =  .0179597896890623
mat `T_V'[5,6] = -5.83130940914e-12
mat `T_V'[5,7] = -1.39747895009e-12
mat `T_V'[5,8] =  3.05828865791e-12
mat `T_V'[5,9] =  6.22078852525e-12
mat `T_V'[5,10] = -1.87415428622e-12
mat `T_V'[5,11] = -3.19598984468e-12
mat `T_V'[5,12] =  1.11581951011e-12
mat `T_V'[5,13] =  1.55451858734e-12
mat `T_V'[5,14] =  4.40274035835e-13
mat `T_V'[5,15] = -3.90771199982e-12
mat `T_V'[6,1] =  9.50585421439e-12
mat `T_V'[6,2] = -1.73384993886e-12
mat `T_V'[6,3] =  6.67994447517e-12
mat `T_V'[6,4] = -9.28050371739e-12
mat `T_V'[6,5] = -5.83130940914e-12
mat `T_V'[6,6] =  .1067335630112023
mat `T_V'[6,7] = -.0007032429181806
mat `T_V'[6,8] = -.0061560577393421
mat `T_V'[6,9] = -.1067715773045677
mat `T_V'[6,10] =  .0063878579279064
mat `T_V'[6,11] = -2.12538947137e-11
mat `T_V'[6,12] =  6.65325070143e-12
mat `T_V'[6,13] = -6.50917262906e-12
mat `T_V'[6,14] =  2.18400191609e-11
mat `T_V'[6,15] =  4.56645074477e-12
mat `T_V'[7,1] = -2.29116164830e-12
mat `T_V'[7,2] =  4.90016568073e-13
mat `T_V'[7,3] = -4.58542237165e-13
mat `T_V'[7,4] = -2.10090950234e-12
mat `T_V'[7,5] = -1.39747895009e-12
mat `T_V'[7,6] = -.0007032429181806
mat `T_V'[7,7] =  .0092356062666684
mat `T_V'[7,8] =  .0024135565392342
mat `T_V'[7,9] =   .001202480147525
mat `T_V'[7,10] = -.0054577610648316
mat `T_V'[7,11] =  6.28561693077e-12
mat `T_V'[7,12] = -1.09101120534e-12
mat `T_V'[7,13] = -3.07622192399e-12
mat `T_V'[7,14] = -1.13501428087e-11
mat `T_V'[7,15] =  1.95022592399e-12
mat `T_V'[8,1] =  8.03443803122e-12
mat `T_V'[8,2] =  1.58387238630e-13
mat `T_V'[8,3] = -5.41266004023e-12
mat `T_V'[8,4] = -1.80733310194e-11
mat `T_V'[8,5] =  3.05828865791e-12
mat `T_V'[8,6] = -.0061560577393421
mat `T_V'[8,7] =  .0024135565392342
mat `T_V'[8,8] =  .0130266207939344
mat `T_V'[8,9] =  .0099431516091379
mat `T_V'[8,10] = -.0106070787845191
mat `T_V'[8,11] = -6.49048955158e-12
mat `T_V'[8,12] = -3.03452148024e-12
mat `T_V'[8,13] = -3.62044701803e-12
mat `T_V'[8,14] =  3.59281118491e-12
mat `T_V'[8,15] =  3.96389950568e-12
mat `T_V'[9,1] = -9.57530515296e-12
mat `T_V'[9,2] =  1.07312979497e-12
mat `T_V'[9,3] = -1.57963976990e-11
mat `T_V'[9,4] =  2.65367011398e-11
mat `T_V'[9,5] =  6.22078852525e-12
mat `T_V'[9,6] = -.1067715773045677
mat `T_V'[9,7] =   .001202480147525
mat `T_V'[9,8] =  .0099431516091379
mat `T_V'[9,9] =  .1359189511350585
mat `T_V'[9,10] = -.0066828810626912
mat `T_V'[9,11] =  2.20200198429e-11
mat `T_V'[9,12] = -1.21405905508e-11
mat `T_V'[9,13] =  3.67570063565e-12
mat `T_V'[9,14] = -7.74028598067e-12
mat `T_V'[9,15] = -1.50631903560e-12
mat `T_V'[10,1] = -7.19459689908e-12
mat `T_V'[10,2] = -1.38909790363e-12
mat `T_V'[10,3] =  3.42937171956e-12
mat `T_V'[10,4] =  9.71938530118e-12
mat `T_V'[10,5] = -1.87415428622e-12
mat `T_V'[10,6] =  .0063878579279064
mat `T_V'[10,7] = -.0054577610648316
mat `T_V'[10,8] = -.0106070787845191
mat `T_V'[10,9] = -.0066828810626912
mat `T_V'[10,10] =  .0124060447054843
mat `T_V'[10,11] =  4.53687532925e-12
mat `T_V'[10,12] =  1.88886352958e-12
mat `T_V'[10,13] =  4.06868513841e-12
mat `T_V'[10,14] = -1.50604055410e-12
mat `T_V'[10,15] = -3.78739093594e-12
mat `T_V'[11,1] = -3.01784795881e-11
mat `T_V'[11,2] =  1.89717339495e-12
mat `T_V'[11,3] =  2.13010322227e-12
mat `T_V'[11,4] =  2.99851297991e-11
mat `T_V'[11,5] = -3.19598984468e-12
mat `T_V'[11,6] = -2.12538947137e-11
mat `T_V'[11,7] =  6.28561693077e-12
mat `T_V'[11,8] = -6.49048955158e-12
mat `T_V'[11,9] =  2.20200198429e-11
mat `T_V'[11,10] =  4.53687532925e-12
mat `T_V'[11,11] =  .2235615185150259
mat `T_V'[11,12] = -.0014842512596622
mat `T_V'[11,13] = -.0116554711311234
mat `T_V'[11,14] = -.2236068100986171
mat `T_V'[11,15] =   .012113715352308
mat `T_V'[12,1] =  1.18628540731e-12
mat `T_V'[12,2] = -1.66890441564e-12
mat `T_V'[12,3] =  3.08041540264e-12
mat `T_V'[12,4] =  2.72126613537e-12
mat `T_V'[12,5] =  1.11581951011e-12
mat `T_V'[12,6] =  6.65325070143e-12
mat `T_V'[12,7] = -1.09101120534e-12
mat `T_V'[12,8] = -3.03452148024e-12
mat `T_V'[12,9] = -1.21405905508e-11
mat `T_V'[12,10] =  1.88886352958e-12
mat `T_V'[12,11] = -.0014842512596622
mat `T_V'[12,12] =  .0188976789646733
mat `T_V'[12,13] =  .0044517633146862
mat `T_V'[12,14] =  .0020609095585414
mat `T_V'[12,15] = -.0102861879937895
mat `T_V'[13,1] =  2.24426643001e-12
mat `T_V'[13,2] =  2.10408957641e-12
mat `T_V'[13,3] = -4.03331571167e-12
mat `T_V'[13,4] = -4.74200065787e-12
mat `T_V'[13,5] =  1.55451858734e-12
mat `T_V'[13,6] = -6.50917262906e-12
mat `T_V'[13,7] = -3.07622192399e-12
mat `T_V'[13,8] = -3.62044701803e-12
mat `T_V'[13,9] =  3.67570063565e-12
mat `T_V'[13,10] =  4.06868513841e-12
mat `T_V'[13,11] = -.0116554711311234
mat `T_V'[13,12] =  .0044517633146862
mat `T_V'[13,13] =   .026513997472134
mat `T_V'[13,14] =  .0191022858397711
mat `T_V'[13,15] = -.0215662581452507
mat `T_V'[14,1] =  2.98883243988e-11
mat `T_V'[14,2] =  2.17461809764e-12
mat `T_V'[14,3] = -4.42783149095e-12
mat `T_V'[14,4] = -1.96642948863e-11
mat `T_V'[14,5] =  4.40274035835e-13
mat `T_V'[14,6] =  2.18400191609e-11
mat `T_V'[14,7] = -1.13501428087e-11
mat `T_V'[14,8] =  3.59281118491e-12
mat `T_V'[14,9] = -7.74028598067e-12
mat `T_V'[14,10] = -1.50604055410e-12
mat `T_V'[14,11] = -.2236068100986171
mat `T_V'[14,12] =  .0020609095585414
mat `T_V'[14,13] =  .0191022858397711
mat `T_V'[14,14] =  .2833846605535544
mat `T_V'[14,15] = -.0124275959977322
mat `T_V'[15,1] = -2.84550042987e-12
mat `T_V'[15,2] =  1.37962023158e-12
mat `T_V'[15,3] =  1.42720347467e-12
mat `T_V'[15,4] =  7.48880735477e-13
mat `T_V'[15,5] = -3.90771199982e-12
mat `T_V'[15,6] =  4.56645074477e-12
mat `T_V'[15,7] =  1.95022592399e-12
mat `T_V'[15,8] =  3.96389950568e-12
mat `T_V'[15,9] = -1.50631903560e-12
mat `T_V'[15,10] = -3.78739093594e-12
mat `T_V'[15,11] =   .012113715352308
mat `T_V'[15,12] = -.0102861879937895
mat `T_V'[15,13] = -.0215662581452507
mat `T_V'[15,14] = -.0124275959977322
mat `T_V'[15,15] =  .0247419914825061
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or levels(1=10, 2=12, 3=14, 4=16)


assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(levels)'"'     == `"1=10, 2=12, 3=14, 4=16"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.201268679787) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 110.3777196913979 ) <  1E-8
assert reldif( e(p)           , 5.03821564566e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 1
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(eqtr1c1)    == 1
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.217024340108004
mat `T_b'[1,2] = -.4400559313297525
mat `T_b'[1,3] =  .7785953061085027
mat `T_b'[1,4] = -1.099461137123422
mat `T_b'[1,5] =  1.496992548933557
mat `T_b'[1,6] =  .1304910422495621
mat `T_b'[1,7] =  -.191352078136546
mat `T_b'[1,8] =  .0868792074792556
mat `T_b'[1,9] = -.0890195215369752
mat `T_b'[1,10] =  .0403824227482097
mat `T_b'[1,11] =  .1969577078725147
mat `T_b'[1,12] =  .4061486596920232
mat `T_b'[1,13] =   .293254841166228
mat `T_b'[1,14] = -.2764086906071376
mat `T_b'[1,15] = -.2636716549094211
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =   .098999359280134
mat `T_V'[1,2] = -.0012447439638175
mat `T_V'[1,3] =  -.013560691110078
mat `T_V'[1,4] = -.0990793928547249
mat `T_V'[1,5] =  .0140796411638402
mat `T_V'[1,6] =  9.50585421439e-12
mat `T_V'[1,7] = -2.29116164830e-12
mat `T_V'[1,8] =  8.03443803122e-12
mat `T_V'[1,9] = -9.57530515296e-12
mat `T_V'[1,10] = -7.19459689908e-12
mat `T_V'[1,11] = -3.01784795881e-11
mat `T_V'[1,12] =  1.18628540731e-12
mat `T_V'[1,13] =  2.24426643001e-12
mat `T_V'[1,14] =  2.98883243988e-11
mat `T_V'[1,15] = -2.84550042987e-12
mat `T_V'[2,1] = -.0012447439638175
mat `T_V'[2,2] =  .0157244019514469
mat `T_V'[2,3] =  .0040846951294028
mat `T_V'[2,4] =  .0022557792715281
mat `T_V'[2,5] = -.0106404041549409
mat `T_V'[2,6] = -1.73384993886e-12
mat `T_V'[2,7] =  4.90016568073e-13
mat `T_V'[2,8] =  1.58387238630e-13
mat `T_V'[2,9] =  1.07312979497e-12
mat `T_V'[2,10] = -1.38909790363e-12
mat `T_V'[2,11] =  1.89717339495e-12
mat `T_V'[2,12] = -1.66890441564e-12
mat `T_V'[2,13] =  2.10408957641e-12
mat `T_V'[2,14] =  2.17461809764e-12
mat `T_V'[2,15] =  1.37962023158e-12
mat `T_V'[3,1] =  -.013560691110078
mat `T_V'[3,2] =  .0040846951294028
mat `T_V'[3,3] =  .0193366846634305
mat `T_V'[3,4] =  .0228427847986692
mat `T_V'[3,5] = -.0135236659007422
mat `T_V'[3,6] =  6.67994447517e-12
mat `T_V'[3,7] = -4.58542237165e-13
mat `T_V'[3,8] = -5.41266004023e-12
mat `T_V'[3,9] = -1.57963976990e-11
mat `T_V'[3,10] =  3.42937171956e-12
mat `T_V'[3,11] =  2.13010322227e-12
mat `T_V'[3,12] =  3.08041540264e-12
mat `T_V'[3,13] = -4.03331571167e-12
mat `T_V'[3,14] = -4.42783149095e-12
mat `T_V'[3,15] =  1.42720347467e-12
mat `T_V'[4,1] = -.0990793928547249
mat `T_V'[4,2] =  .0022557792715281
mat `T_V'[4,3] =  .0228427847986692
mat `T_V'[4,4] =  .1646661972141748
mat `T_V'[4,5] = -.0147637895544864
mat `T_V'[4,6] = -9.28050371739e-12
mat `T_V'[4,7] = -2.10090950234e-12
mat `T_V'[4,8] = -1.80733310194e-11
mat `T_V'[4,9] =  2.65367011398e-11
mat `T_V'[4,10] =  9.71938530118e-12
mat `T_V'[4,11] =  2.99851297991e-11
mat `T_V'[4,12] =  2.72126613537e-12
mat `T_V'[4,13] = -4.74200065787e-12
mat `T_V'[4,14] = -1.96642948863e-11
mat `T_V'[4,15] =  7.48880735477e-13
mat `T_V'[5,1] =  .0140796411638402
mat `T_V'[5,2] = -.0106404041549409
mat `T_V'[5,3] = -.0135236659007422
mat `T_V'[5,4] = -.0147637895544864
mat `T_V'[5,5] =  .0179597896890623
mat `T_V'[5,6] = -5.83130940914e-12
mat `T_V'[5,7] = -1.39747895009e-12
mat `T_V'[5,8] =  3.05828865791e-12
mat `T_V'[5,9] =  6.22078852525e-12
mat `T_V'[5,10] = -1.87415428622e-12
mat `T_V'[5,11] = -3.19598984468e-12
mat `T_V'[5,12] =  1.11581951011e-12
mat `T_V'[5,13] =  1.55451858734e-12
mat `T_V'[5,14] =  4.40274035835e-13
mat `T_V'[5,15] = -3.90771199982e-12
mat `T_V'[6,1] =  9.50585421439e-12
mat `T_V'[6,2] = -1.73384993886e-12
mat `T_V'[6,3] =  6.67994447517e-12
mat `T_V'[6,4] = -9.28050371739e-12
mat `T_V'[6,5] = -5.83130940914e-12
mat `T_V'[6,6] =  .1067335630112023
mat `T_V'[6,7] = -.0007032429181806
mat `T_V'[6,8] = -.0061560577393421
mat `T_V'[6,9] = -.1067715773045677
mat `T_V'[6,10] =  .0063878579279064
mat `T_V'[6,11] = -2.12538947137e-11
mat `T_V'[6,12] =  6.65325070143e-12
mat `T_V'[6,13] = -6.50917262906e-12
mat `T_V'[6,14] =  2.18400191609e-11
mat `T_V'[6,15] =  4.56645074477e-12
mat `T_V'[7,1] = -2.29116164830e-12
mat `T_V'[7,2] =  4.90016568073e-13
mat `T_V'[7,3] = -4.58542237165e-13
mat `T_V'[7,4] = -2.10090950234e-12
mat `T_V'[7,5] = -1.39747895009e-12
mat `T_V'[7,6] = -.0007032429181806
mat `T_V'[7,7] =  .0092356062666684
mat `T_V'[7,8] =  .0024135565392342
mat `T_V'[7,9] =   .001202480147525
mat `T_V'[7,10] = -.0054577610648316
mat `T_V'[7,11] =  6.28561693077e-12
mat `T_V'[7,12] = -1.09101120534e-12
mat `T_V'[7,13] = -3.07622192399e-12
mat `T_V'[7,14] = -1.13501428087e-11
mat `T_V'[7,15] =  1.95022592399e-12
mat `T_V'[8,1] =  8.03443803122e-12
mat `T_V'[8,2] =  1.58387238630e-13
mat `T_V'[8,3] = -5.41266004023e-12
mat `T_V'[8,4] = -1.80733310194e-11
mat `T_V'[8,5] =  3.05828865791e-12
mat `T_V'[8,6] = -.0061560577393421
mat `T_V'[8,7] =  .0024135565392342
mat `T_V'[8,8] =  .0130266207939344
mat `T_V'[8,9] =  .0099431516091379
mat `T_V'[8,10] = -.0106070787845191
mat `T_V'[8,11] = -6.49048955158e-12
mat `T_V'[8,12] = -3.03452148024e-12
mat `T_V'[8,13] = -3.62044701803e-12
mat `T_V'[8,14] =  3.59281118491e-12
mat `T_V'[8,15] =  3.96389950568e-12
mat `T_V'[9,1] = -9.57530515296e-12
mat `T_V'[9,2] =  1.07312979497e-12
mat `T_V'[9,3] = -1.57963976990e-11
mat `T_V'[9,4] =  2.65367011398e-11
mat `T_V'[9,5] =  6.22078852525e-12
mat `T_V'[9,6] = -.1067715773045677
mat `T_V'[9,7] =   .001202480147525
mat `T_V'[9,8] =  .0099431516091379
mat `T_V'[9,9] =  .1359189511350585
mat `T_V'[9,10] = -.0066828810626912
mat `T_V'[9,11] =  2.20200198429e-11
mat `T_V'[9,12] = -1.21405905508e-11
mat `T_V'[9,13] =  3.67570063565e-12
mat `T_V'[9,14] = -7.74028598067e-12
mat `T_V'[9,15] = -1.50631903560e-12
mat `T_V'[10,1] = -7.19459689908e-12
mat `T_V'[10,2] = -1.38909790363e-12
mat `T_V'[10,3] =  3.42937171956e-12
mat `T_V'[10,4] =  9.71938530118e-12
mat `T_V'[10,5] = -1.87415428622e-12
mat `T_V'[10,6] =  .0063878579279064
mat `T_V'[10,7] = -.0054577610648316
mat `T_V'[10,8] = -.0106070787845191
mat `T_V'[10,9] = -.0066828810626912
mat `T_V'[10,10] =  .0124060447054843
mat `T_V'[10,11] =  4.53687532925e-12
mat `T_V'[10,12] =  1.88886352958e-12
mat `T_V'[10,13] =  4.06868513841e-12
mat `T_V'[10,14] = -1.50604055410e-12
mat `T_V'[10,15] = -3.78739093594e-12
mat `T_V'[11,1] = -3.01784795881e-11
mat `T_V'[11,2] =  1.89717339495e-12
mat `T_V'[11,3] =  2.13010322227e-12
mat `T_V'[11,4] =  2.99851297991e-11
mat `T_V'[11,5] = -3.19598984468e-12
mat `T_V'[11,6] = -2.12538947137e-11
mat `T_V'[11,7] =  6.28561693077e-12
mat `T_V'[11,8] = -6.49048955158e-12
mat `T_V'[11,9] =  2.20200198429e-11
mat `T_V'[11,10] =  4.53687532925e-12
mat `T_V'[11,11] =  .2235615185150259
mat `T_V'[11,12] = -.0014842512596622
mat `T_V'[11,13] = -.0116554711311234
mat `T_V'[11,14] = -.2236068100986171
mat `T_V'[11,15] =   .012113715352308
mat `T_V'[12,1] =  1.18628540731e-12
mat `T_V'[12,2] = -1.66890441564e-12
mat `T_V'[12,3] =  3.08041540264e-12
mat `T_V'[12,4] =  2.72126613537e-12
mat `T_V'[12,5] =  1.11581951011e-12
mat `T_V'[12,6] =  6.65325070143e-12
mat `T_V'[12,7] = -1.09101120534e-12
mat `T_V'[12,8] = -3.03452148024e-12
mat `T_V'[12,9] = -1.21405905508e-11
mat `T_V'[12,10] =  1.88886352958e-12
mat `T_V'[12,11] = -.0014842512596622
mat `T_V'[12,12] =  .0188976789646733
mat `T_V'[12,13] =  .0044517633146862
mat `T_V'[12,14] =  .0020609095585414
mat `T_V'[12,15] = -.0102861879937895
mat `T_V'[13,1] =  2.24426643001e-12
mat `T_V'[13,2] =  2.10408957641e-12
mat `T_V'[13,3] = -4.03331571167e-12
mat `T_V'[13,4] = -4.74200065787e-12
mat `T_V'[13,5] =  1.55451858734e-12
mat `T_V'[13,6] = -6.50917262906e-12
mat `T_V'[13,7] = -3.07622192399e-12
mat `T_V'[13,8] = -3.62044701803e-12
mat `T_V'[13,9] =  3.67570063565e-12
mat `T_V'[13,10] =  4.06868513841e-12
mat `T_V'[13,11] = -.0116554711311234
mat `T_V'[13,12] =  .0044517633146862
mat `T_V'[13,13] =   .026513997472134
mat `T_V'[13,14] =  .0191022858397711
mat `T_V'[13,15] = -.0215662581452507
mat `T_V'[14,1] =  2.98883243988e-11
mat `T_V'[14,2] =  2.17461809764e-12
mat `T_V'[14,3] = -4.42783149095e-12
mat `T_V'[14,4] = -1.96642948863e-11
mat `T_V'[14,5] =  4.40274035835e-13
mat `T_V'[14,6] =  2.18400191609e-11
mat `T_V'[14,7] = -1.13501428087e-11
mat `T_V'[14,8] =  3.59281118491e-12
mat `T_V'[14,9] = -7.74028598067e-12
mat `T_V'[14,10] = -1.50604055410e-12
mat `T_V'[14,11] = -.2236068100986171
mat `T_V'[14,12] =  .0020609095585414
mat `T_V'[14,13] =  .0191022858397711
mat `T_V'[14,14] =  .2833846605535544
mat `T_V'[14,15] = -.0124275959977322
mat `T_V'[15,1] = -2.84550042987e-12
mat `T_V'[15,2] =  1.37962023158e-12
mat `T_V'[15,3] =  1.42720347467e-12
mat `T_V'[15,4] =  7.48880735477e-13
mat `T_V'[15,5] = -3.90771199982e-12
mat `T_V'[15,6] =  4.56645074477e-12
mat `T_V'[15,7] =  1.95022592399e-12
mat `T_V'[15,8] =  3.96389950568e-12
mat `T_V'[15,9] = -1.50631903560e-12
mat `T_V'[15,10] = -3.78739093594e-12
mat `T_V'[15,11] =   .012113715352308
mat `T_V'[15,12] = -.0102861879937895
mat `T_V'[15,13] = -.0215662581452507
mat `T_V'[15,14] = -.0124275959977322
mat `T_V'[15,15] =  .0247419914825061
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'



seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1)

assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(sigma)'"'      == `"1 1 1"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_uh_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.476171835035) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 109.8279133809019 ) <  1E-8
assert reldif( e(p)           , 6.47187295480e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 3
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(draws)      == 100
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2
assert         e(eqtr1c1)    == 1

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.425616286689245
mat `T_b'[1,2] =  -.489935632242649
mat `T_b'[1,3] =  .8870186338116445
mat `T_b'[1,4] =  -1.29844436211191
mat `T_b'[1,5] =  1.761963115168836
mat `T_b'[1,6] =  .3368050914709352
mat `T_b'[1,7] = -.2724219432278903
mat `T_b'[1,8] =  .1920208124663157
mat `T_b'[1,9] = -.2781058482715212
mat `T_b'[1,10] = -.1203925645785888
mat `T_b'[1,11] =   .412266866666789
mat `T_b'[1,12] =  .4005300441816092
mat `T_b'[1,13] =  .4314457642500496
mat `T_b'[1,14] = -.4904685121762358
mat `T_b'[1,15] = -.8429748706306561
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =  .1359250667941802
mat `T_V'[1,2] = -.0015193829152566
mat `T_V'[1,3] = -.0171413128877452
mat `T_V'[1,4] = -.1360314798841442
mat `T_V'[1,5] =  .0177501641535193
mat `T_V'[1,6] =  .0168885242045811
mat `T_V'[1,7] = -.0000539498322903
mat `T_V'[1,8] = -.0013807028030004
mat `T_V'[1,9] = -.0168924885298145
mat `T_V'[1,10] =  .0013999367281887
mat `T_V'[1,11] =  .0144450429882601
mat `T_V'[1,12] = -.0000259209724547
mat `T_V'[1,13] =  -.001037682437836
mat `T_V'[1,14] = -.0144487528930128
mat `T_V'[1,15] =   .001046907974129
mat `T_V'[2,1] = -.0015193829152566
mat `T_V'[2,2] =  .0202440544466152
mat `T_V'[2,3] =  .0054700918215744
mat `T_V'[2,4] =  .0029360375304907
mat `T_V'[2,5] = -.0135697085910424
mat `T_V'[2,6] =  .0000109401678105
mat `T_V'[2,7] =  .0017884183577372
mat `T_V'[2,8] =  .0005218479543268
mat `T_V'[2,9] =  .0000992755541375
mat `T_V'[2,10] =  -.001130600686386
mat `T_V'[2,11] =  .0000862477266704
mat `T_V'[2,12] =  .0014815395324083
mat `T_V'[2,13] =  .0004495678036145
mat `T_V'[2,14] =  1.57979198538e-06
mat `T_V'[2,15] = -.0009289956176858
mat `T_V'[3,1] = -.0171413128877452
mat `T_V'[3,2] =  .0054700918215744
mat `T_V'[3,3] =   .025098746030209
mat `T_V'[3,4] =  .0284332753159258
mat `T_V'[3,5] = -.0180849807041047
mat `T_V'[3,6] = -.0013147983856542
mat `T_V'[3,7] =  .0005101883359517
mat `T_V'[3,8] =  .0024503800845029
mat `T_V'[3,9] =  .0021160063164396
mat `T_V'[3,10] = -.0019560127276022
mat `T_V'[3,11] = -.0009580282566891
mat `T_V'[3,12] =  .0004269474547797
mat `T_V'[3,13] =  .0020290861629161
mat `T_V'[3,14] =  .0015917767335171
mat `T_V'[3,15] = -.0016345658850295
mat `T_V'[4,1] = -.1360314798841442
mat `T_V'[4,2] =  .0029360375304907
mat `T_V'[4,3] =  .0284332753159258
mat `T_V'[4,4] =  .2164188912429381
mat `T_V'[4,5] = -.0186998476283138
mat `T_V'[4,6] = -.0168867598246244
mat `T_V'[4,7] =   .000166020391438
mat `T_V'[4,8] =  .0021834273170424
mat `T_V'[4,9] =  .0229179402431894
mat `T_V'[4,10] = -.0014713044835247
mat `T_V'[4,11] = -.0144386090687584
mat `T_V'[4,12] =  .0001243809676841
mat `T_V'[4,13] =  .0016780972733686
mat `T_V'[4,14] =  .0192500911929247
mat `T_V'[4,15] = -.0011089820430447
mat `T_V'[5,1] =  .0177501641535193
mat `T_V'[5,2] = -.0135697085910424
mat `T_V'[5,3] = -.0180849807041047
mat `T_V'[5,4] = -.0186998476283138
mat `T_V'[5,5] =  .0235151885171203
mat `T_V'[5,6] =  .0013020742787287
mat `T_V'[5,7] = -.0011159762926715
mat `T_V'[5,8] = -.0019626025620311
mat `T_V'[5,9] = -.0013715091486352
mat `T_V'[5,10] =  .0023433642543667
mat `T_V'[5,11] =  .0009144226656146
mat `T_V'[5,12] = -.0009028357275198
mat `T_V'[5,13] =  -.001648694682438
mat `T_V'[5,14] = -.0009702514919916
mat `T_V'[5,15] =  .0019417441853804
mat `T_V'[6,1] =  .0168885242045811
mat `T_V'[6,2] =  .0000109401678105
mat `T_V'[6,3] = -.0013147983856542
mat `T_V'[6,4] = -.0168867598246244
mat `T_V'[6,5] =  .0013020742787287
mat `T_V'[6,6] =  .1521101551798454
mat `T_V'[6,7] = -.0010045791018546
mat `T_V'[6,8] = -.0089648342632713
mat `T_V'[6,9] = -.1521641896161958
mat `T_V'[6,10] =  .0092963859088185
mat `T_V'[6,11] =  .0256927940835375
mat `T_V'[6,12] = -.0001523140513035
mat `T_V'[6,13] = -.0015115649327664
mat `T_V'[6,14] = -.0257009312161564
mat `T_V'[6,15] =   .001561164304724
mat `T_V'[7,1] = -.0000539498322903
mat `T_V'[7,2] =  .0017884183577372
mat `T_V'[7,3] =  .0005101883359517
mat `T_V'[7,4] =   .000166020391438
mat `T_V'[7,5] = -.0011159762926715
mat `T_V'[7,6] = -.0010045791018546
mat `T_V'[7,7] =  .0133085826693099
mat `T_V'[7,8] =  .0034987464766863
mat `T_V'[7,9] =  .0017217378283572
mat `T_V'[7,10] =  -.007892796093821
mat `T_V'[7,11] = -.0001498141663252
mat `T_V'[7,12] =  .0022870799499557
mat `T_V'[7,13] =  .0006068807160908
mat `T_V'[7,14] =  .0002693020974686
mat `T_V'[7,15] = -.0013492265776297
mat `T_V'[8,1] = -.0013807028030004
mat `T_V'[8,2] =  .0005218479543268
mat `T_V'[8,3] =  .0024503800845029
mat `T_V'[8,4] =  .0021834273170424
mat `T_V'[8,5] = -.0019626025620311
mat `T_V'[8,6] = -.0089648342632713
mat `T_V'[8,7] =  .0034987464766863
mat `T_V'[8,8] =  .0187114005310254
mat `T_V'[8,9] =  .0144408708940791
mat `T_V'[8,10] =   -.01521858224256
mat `T_V'[8,11] = -.0015095145343136
mat `T_V'[8,12] =  .0006081090695502
mat `T_V'[8,13] =  .0031870348248682
mat `T_V'[8,14] =  .0024446481825017
mat `T_V'[8,15] = -.0025893635237983
mat `T_V'[9,1] = -.0168924885298145
mat `T_V'[9,2] =  .0000992755541375
mat `T_V'[9,3] =  .0021160063164396
mat `T_V'[9,4] =  .0229179402431894
mat `T_V'[9,5] = -.0013715091486352
mat `T_V'[9,6] = -.1521641896161958
mat `T_V'[9,7] =  .0017217378283572
mat `T_V'[9,8] =  .0144408708940791
mat `T_V'[9,9] =  .1942837887553964
mat `T_V'[9,10] = -.0097217544468088
mat `T_V'[9,11] =  -.025700494834885
mat `T_V'[9,12] =  .0002725766592479
mat `T_V'[9,13] =  .0024471354161799
mat `T_V'[9,14] =  .0329073270595068
mat `T_V'[9,15] = -.0016323180274394
mat `T_V'[10,1] =  .0013999367281887
mat `T_V'[10,2] =  -.001130600686386
mat `T_V'[10,3] = -.0019560127276022
mat `T_V'[10,4] = -.0014713044835247
mat `T_V'[10,5] =  .0023433642543667
mat `T_V'[10,6] =  .0092963859088185
mat `T_V'[10,7] =  -.007892796093821
mat `T_V'[10,8] =   -.01521858224256
mat `T_V'[10,9] = -.0097217544468088
mat `T_V'[10,10] =  .0178245896219666
mat `T_V'[10,11] =  .0015577650228067
mat `T_V'[10,12] = -.0013501238296981
mat `T_V'[10,13] = -.0025894300136115
mat `T_V'[10,14] = -.0016285635829017
mat `T_V'[10,15] =  .0030277837901245
mat `T_V'[11,1] =  .0144450429882601
mat `T_V'[11,2] =  .0000862477266704
mat `T_V'[11,3] = -.0009580282566891
mat `T_V'[11,4] = -.0144386090687584
mat `T_V'[11,5] =  .0009144226656146
mat `T_V'[11,6] =  .0256927940835375
mat `T_V'[11,7] = -.0001498141663252
mat `T_V'[11,8] = -.0015095145343136
mat `T_V'[11,9] =  -.025700494834885
mat `T_V'[11,10] =  .0015577650228067
mat `T_V'[11,11] =  .3069689947660336
mat `T_V'[11,12] = -.0020359162438897
mat `T_V'[11,13] = -.0162359181053112
mat `T_V'[11,14] = -.3070314702665452
mat `T_V'[11,15] =  .0168709684381953
mat `T_V'[12,1] = -.0000259209724547
mat `T_V'[12,2] =  .0014815395324083
mat `T_V'[12,3] =  .0004269474547797
mat `T_V'[12,4] =  .0001243809676841
mat `T_V'[12,5] = -.0009028357275198
mat `T_V'[12,6] = -.0001523140513035
mat `T_V'[12,7] =  .0022870799499557
mat `T_V'[12,8] =  .0006081090695502
mat `T_V'[12,9] =  .0002725766592479
mat `T_V'[12,10] = -.0013501238296981
mat `T_V'[12,11] = -.0020359162438897
mat `T_V'[12,12] =  .0260757011633655
mat `T_V'[12,13] =  .0061113487633035
mat `T_V'[12,14] =   .002842027644885
mat `T_V'[12,15] = -.0142475039674601
mat `T_V'[13,1] =  -.001037682437836
mat `T_V'[13,2] =  .0004495678036145
mat `T_V'[13,3] =  .0020290861629161
mat `T_V'[13,4] =  .0016780972733686
mat `T_V'[13,5] =  -.001648694682438
mat `T_V'[13,6] = -.0015115649327664
mat `T_V'[13,7] =  .0006068807160908
mat `T_V'[13,8] =  .0031870348248682
mat `T_V'[13,9] =  .0024471354161799
mat `T_V'[13,10] = -.0025894300136115
mat `T_V'[13,11] = -.0162359181053112
mat `T_V'[13,12] =  .0061113487633035
mat `T_V'[13,13] =  .0365445993932734
mat `T_V'[13,14] =  .0265975797133874
mat `T_V'[13,15] = -.0296607301603063
mat `T_V'[14,1] = -.0144487528930128
mat `T_V'[14,2] =  1.57979198538e-06
mat `T_V'[14,3] =  .0015917767335171
mat `T_V'[14,4] =  .0192500911929247
mat `T_V'[14,5] = -.0009702514919916
mat `T_V'[14,6] = -.0257009312161564
mat `T_V'[14,7] =  .0002693020974686
mat `T_V'[14,8] =  .0024446481825017
mat `T_V'[14,9] =  .0329073270595068
mat `T_V'[14,10] = -.0016285635829017
mat `T_V'[14,11] = -.3070314702665452
mat `T_V'[14,12] =   .002842027644885
mat `T_V'[14,13] =  .0265975797133874
mat `T_V'[14,14] =  .3899058746764001
mat `T_V'[14,15] =  -.017311982455857
mat `T_V'[15,1] =   .001046907974129
mat `T_V'[15,2] = -.0009289956176858
mat `T_V'[15,3] = -.0016345658850295
mat `T_V'[15,4] = -.0011089820430447
mat `T_V'[15,5] =  .0019417441853804
mat `T_V'[15,6] =   .001561164304724
mat `T_V'[15,7] = -.0013492265776297
mat `T_V'[15,8] = -.0025893635237983
mat `T_V'[15,9] = -.0016323180274394
mat `T_V'[15,10] =  .0030277837901245
mat `T_V'[15,11] =  .0168709684381953
mat `T_V'[15,12] = -.0142475039674601
mat `T_V'[15,13] = -.0296607301603063
mat `T_V'[15,14] =  -.017311982455857
mat `T_V'[15,15] =  .0341065352352552
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'

		 
seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) rho(.4)


assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(sigma)'"'      == `"1 1 1"'
assert `"`e(chi2type)'"'   == `"Wald"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_uh_lf"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.443201115816) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 3
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(df_m)       == 4
assert reldif( e(chi2)        , 29.58745657366374 ) <  1E-8
assert reldif( e(p)           , 5.93813546009e-06 ) <  1E-8
assert         e(draws)      == 100
assert reldif( e(rho)         , .4                ) <  1E-8
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2
assert         e(eqtr1c1)    == 1

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.394609047227279
mat `T_b'[1,2] = -.4819414361935618
mat `T_b'[1,3] =   -.02962645579523
mat `T_b'[1,4] = -1.269006478973127
mat `T_b'[1,5] =  2.379085713291822
mat `T_b'[1,6] =  .3092810375000253
mat `T_b'[1,7] = -.2615408770452886
mat `T_b'[1,8] = -.7221751905781551
mat `T_b'[1,9] = -.2530085914827993
mat `T_b'[1,10] =  .5581806820613671
mat `T_b'[1,11] =  .3864248241699126
mat `T_b'[1,12] =  .4015522172014082
mat `T_b'[1,13] = -.4854056564523679
mat `T_b'[1,14] = -.4650125099344058
mat `T_b'[1,15] = -.1103490359745451
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =  .1300782670201039
mat `T_V'[1,2] = -.0014762763673885
mat `T_V'[1,3] = -.0165413337021533
mat `T_V'[1,4] = -.1301803418841614
mat `T_V'[1,5] =  .0171357071475314
mat `T_V'[1,6] =  .0142630640414854
mat `T_V'[1,7] = -.0000440016588176
mat `T_V'[1,8] = -.0011734999040092
mat `T_V'[1,9] =  -.014266301777499
mat `T_V'[1,10] =   .001189233471121
mat `T_V'[1,11] =  .0123915441024369
mat `T_V'[1,12] = -.0000218548759866
mat `T_V'[1,13] = -.0009058793796992
mat `T_V'[1,14] = -.0123947382312814
mat `T_V'[1,15] =  .0009138478417937
mat `T_V'[2,1] = -.0014762763673885
mat `T_V'[2,2] =  .0195024834464495
mat `T_V'[2,3] =  .0052415277699448
mat `T_V'[2,4] =  .0028239174774671
mat `T_V'[2,5] = -.0130833723732419
mat `T_V'[2,6] =  .0000128028748241
mat `T_V'[2,7] =   .001513626011636
mat `T_V'[2,8] =  .0004421488998915
mat `T_V'[2,9] =  .0000800520928535
mat `T_V'[2,10] = -.0009572442072518
mat `T_V'[2,11] =  .0000772372858282
mat `T_V'[2,12] =   .001279481053237
mat `T_V'[2,13] =  .0003893915110443
mat `T_V'[2,14] = -1.90965453168e-06
mat `T_V'[2,15] = -.0008050170972173
mat `T_V'[3,1] = -.0165413337021533
mat `T_V'[3,2] =  .0052415277699448
mat `T_V'[3,3] =  .0241530520673544
mat `T_V'[3,4] =  .0274866300661831
mat `T_V'[3,5] = -.0173472351435137
mat `T_V'[3,6] = -.0011163724690725
mat `T_V'[3,7] =  .0004322436357377
mat `T_V'[3,8] =  .0020744139033775
mat `T_V'[3,9] =  .0017952365764251
mat `T_V'[3,10] = -.0016553675538535
mat `T_V'[3,11] = -.0008363275651854
mat `T_V'[3,12] =  .0003688586090067
mat `T_V'[3,13] =   .001751321530644
mat `T_V'[3,14] =  .0013867085013028
mat `T_V'[3,15] = -.0014087969274203
mat `T_V'[4,1] = -.1301803418841614
mat `T_V'[4,2] =  .0028239174774671
mat `T_V'[4,3] =  .0274866300661831
mat `T_V'[4,4] =  .2080191334854582
mat `T_V'[4,5] = -.0180398444084409
mat `T_V'[4,6] = -.0142614116554151
mat `T_V'[4,7] =  .0001385159976125
mat `T_V'[4,8] =  .0018536737461603
mat `T_V'[4,9] =  .0193707713180309
mat `T_V'[4,10] = -.0012494114229792
mat `T_V'[4,11] = -.0123859152502069
mat `T_V'[4,12] =  .0001064482276798
mat `T_V'[4,13] =   .001462142743646
mat `T_V'[4,14] =  .0165593538057138
mat `T_V'[4,15] = -.0009673305490847
mat `T_V'[5,1] =  .0171357071475314
mat `T_V'[5,2] = -.0130833723732419
mat `T_V'[5,3] = -.0173472351435137
mat `T_V'[5,4] = -.0180398444084409
mat `T_V'[5,5] =  .0226087694212568
mat `T_V'[5,6] =   .001103910958602
mat `T_V'[5,7] = -.0009445114923012
mat `T_V'[5,8] = -.0016610442220848
mat `T_V'[5,9] = -.0011623942077174
mat `T_V'[5,10] =    .00198323062777
mat `T_V'[5,11] =  .0007973355159602
mat `T_V'[5,12] = -.0007813837106115
mat `T_V'[5,13] = -.0014216020726386
mat `T_V'[5,14] =   -.00084530053078
mat `T_V'[5,15] =  .0016763210328446
mat `T_V'[6,1] =  .0142630640414854
mat `T_V'[6,2] =  .0000128028748241
mat `T_V'[6,3] = -.0011163724690725
mat `T_V'[6,4] = -.0142614116554151
mat `T_V'[6,5] =   .001103910958602
mat `T_V'[6,6] =  .1455096319528481
mat `T_V'[6,7] =  -.000958881849371
mat `T_V'[6,8] = -.0085345945166172
mat `T_V'[6,9] = -.1455612470946896
mat `T_V'[6,10] =   .008850966970415
mat `T_V'[6,11] =  .0216618580022604
mat `T_V'[6,12] = -.0001285070309208
mat `T_V'[6,13] = -.0012660109050183
mat `T_V'[6,14] = -.0216687275637436
mat `T_V'[6,15] =  .0013079049719473
mat `T_V'[7,1] = -.0000440016588176
mat `T_V'[7,2] =   .001513626011636
mat `T_V'[7,3] =  .0004322436357377
mat `T_V'[7,4] =  .0001385159976125
mat `T_V'[7,5] = -.0009445114923012
mat `T_V'[7,6] =  -.000958881849371
mat `T_V'[7,7] =  .0127040991047886
mat `T_V'[7,8] =  .0033360694967156
mat `T_V'[7,9] =   .001643688810266
mat `T_V'[7,10] = -.0075289435539108
mat `T_V'[7,11] = -.0001264098263354
mat `T_V'[7,12] =  .0019226038693618
mat `T_V'[7,13] =  .0005095534993374
mat `T_V'[7,14] =  .0002268668489131
mat `T_V'[7,15] = -.0011343471527443
mat `T_V'[8,1] = -.0011734999040092
mat `T_V'[8,2] =  .0004421488998915
mat `T_V'[8,3] =  .0020744139033775
mat `T_V'[8,4] =  .0018536737461603
mat `T_V'[8,5] = -.0016610442220848
mat `T_V'[8,6] = -.0085345945166172
mat `T_V'[8,7] =  .0033360694967156
mat `T_V'[8,8] =  .0178727183242564
mat `T_V'[8,9] =   .013758133193441
mat `T_V'[8,10] = -.0145398858767311
mat `T_V'[8,11] = -.0012644535749682
mat `T_V'[8,12] =  .0005105207204319
mat `T_V'[8,13] =   .002681990193136
mat `T_V'[8,14] =  .0020509239652783
mat `T_V'[8,15] = -.0021794942852993
mat `T_V'[9,1] =  -.014266301777499
mat `T_V'[9,2] =  .0000800520928535
mat `T_V'[9,3] =  .0017952365764251
mat `T_V'[9,4] =  .0193707713180309
mat `T_V'[9,5] = -.0011623942077174
mat `T_V'[9,6] = -.1455612470946896
mat `T_V'[9,7] =   .001643688810266
mat `T_V'[9,8] =   .013758133193441
mat `T_V'[9,9] =  .1857436548719103
mat `T_V'[9,10] = -.0092568463049838
mat `T_V'[9,11] = -.0216683684247494
mat `T_V'[9,12] =  .0002295804878413
mat `T_V'[9,13] =  .0020528196049941
mat `T_V'[9,14] =  .0277265314339678
mat `T_V'[9,15] = -.0013677106895115
mat `T_V'[10,1] =   .001189233471121
mat `T_V'[10,2] = -.0009572442072518
mat `T_V'[10,3] = -.0016553675538535
mat `T_V'[10,4] = -.0012494114229792
mat `T_V'[10,5] =    .00198323062777
mat `T_V'[10,6] =   .008850966970415
mat `T_V'[10,7] = -.0075289435539108
mat `T_V'[10,8] = -.0145398858767311
mat `T_V'[10,9] = -.0092568463049838
mat `T_V'[10,10] =  .0170247979770728
mat `T_V'[10,11] =  .0013052468854389
mat `T_V'[10,12] = -.0011350613750296
mat `T_V'[10,13] = -.0021795371057018
mat `T_V'[10,14] = -.0013647463838054
mat `T_V'[10,15] =   .002548503919196
mat `T_V'[11,1] =  .0123915441024369
mat `T_V'[11,2] =  .0000772372858282
mat `T_V'[11,3] = -.0008363275651854
mat `T_V'[11,4] = -.0123859152502069
mat `T_V'[11,5] =  .0007973355159602
mat `T_V'[11,6] =  .0216618580022604
mat `T_V'[11,7] = -.0001264098263354
mat `T_V'[11,8] = -.0012644535749682
mat `T_V'[11,9] = -.0216683684247494
mat `T_V'[11,10] =  .0013052468854389
mat `T_V'[11,11] =  .2957602983218401
mat `T_V'[11,12] = -.0019607303765349
mat `T_V'[11,13] = -.0155854550578108
mat `T_V'[11,14] =  -.295820421871757
mat `T_V'[11,15] =  .0161962168528765
mat `T_V'[12,1] = -.0000218548759866
mat `T_V'[12,2] =   .001279481053237
mat `T_V'[12,3] =  .0003688586090067
mat `T_V'[12,4] =  .0001064482276798
mat `T_V'[12,5] = -.0007813837106115
mat `T_V'[12,6] = -.0001285070309208
mat `T_V'[12,7] =  .0019226038693618
mat `T_V'[12,8] =  .0005105207204319
mat `T_V'[12,9] =  .0002295804878413
mat `T_V'[12,10] = -.0011350613750296
mat `T_V'[12,11] = -.0019607303765349
mat `T_V'[12,12] =  .0250935172417086
mat `T_V'[12,13] =  .0058781439009349
mat `T_V'[12,14] =  .0027348104247502
mat `T_V'[12,15] = -.0136969545160222
mat `T_V'[13,1] = -.0009058793796992
mat `T_V'[13,2] =  .0003893915110443
mat `T_V'[13,3] =   .001751321530644
mat `T_V'[13,4] =   .001462142743646
mat `T_V'[13,5] = -.0014216020726386
mat `T_V'[13,6] = -.0012660109050183
mat `T_V'[13,7] =  .0005095534993374
mat `T_V'[13,8] =   .002681990193136
mat `T_V'[13,9] =  .0020528196049941
mat `T_V'[13,10] = -.0021795371057018
mat `T_V'[13,11] = -.0155854550578108
mat `T_V'[13,12] =  .0058781439009349
mat `T_V'[13,13] =  .0351770594543147
mat `T_V'[13,14] =  .0255449433951403
mat `T_V'[13,15] = -.0285583567250502
mat `T_V'[14,1] = -.0123947382312814
mat `T_V'[14,2] = -1.90965453168e-06
mat `T_V'[14,3] =  .0013867085013028
mat `T_V'[14,4] =  .0165593538057138
mat `T_V'[14,5] =   -.00084530053078
mat `T_V'[14,6] = -.0216687275637436
mat `T_V'[14,7] =  .0002268668489131
mat `T_V'[14,8] =  .0020509239652783
mat `T_V'[14,9] =  .0277265314339678
mat `T_V'[14,10] = -.0013647463838054
mat `T_V'[14,11] =  -.295820421871757
mat `T_V'[14,12] =  .0027348104247502
mat `T_V'[14,13] =  .0255449433951403
mat `T_V'[14,14] =  .3755177300224527
mat `T_V'[14,15] = -.0166191733654793
mat `T_V'[15,1] =  .0009138478417937
mat `T_V'[15,2] = -.0008050170972173
mat `T_V'[15,3] = -.0014087969274203
mat `T_V'[15,4] = -.0009673305490847
mat `T_V'[15,5] =  .0016763210328446
mat `T_V'[15,6] =  .0013079049719473
mat `T_V'[15,7] = -.0011343471527443
mat `T_V'[15,8] = -.0021794942852993
mat `T_V'[15,9] = -.0013677106895115
mat `T_V'[15,10] =   .002548503919196
mat `T_V'[15,11] =  .0161962168528765
mat `T_V'[15,12] = -.0136969545160222
mat `T_V'[15,13] = -.0285583567250502
mat `T_V'[15,14] = -.0166191733654793
mat `T_V'[15,15] =   .032826392784016
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'


// changing sd() and pr()

seqlogit ed byr south,                   ///   
	 ofinterest(white) over(byr)     ///
	 tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
	 levels(1=6, 2=12, 3=14, 4= 16)  ///
	 or sd(.5 1 2) pr(.6 .3 .1)

assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(levels)'"'     == `"1=6, 2=12, 3=14, 4= 16"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(strmpnts)'"'   == `"-.745356 .745356 2.236068"'
assert `"`e(pr)'"'         == `".6 .3 .1"'
assert `"`e(sigma)'"'      == `".5 1 2"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_uh_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.467876519356) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 109.8445040122597 ) <  1E-8
assert reldif( e(p)           , 6.42316490818e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 3
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(draws)      == 100
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2
assert         e(eqtr1c1)    == 1

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.260711407166423
mat `T_b'[1,2] = -.4452314747917429
mat `T_b'[1,3] =  .7964392495242231
mat `T_b'[1,4] = -1.143823338793796
mat `T_b'[1,5] =  1.567135655837037
mat `T_b'[1,6] =  .2716292563824351
mat `T_b'[1,7] = -.2570742010227914
mat `T_b'[1,8] =  .1576027887961527
mat `T_b'[1,9] = -.2200587143448753
mat `T_b'[1,10] =  .0234721481462678
mat `T_b'[1,11] =  .7424039125394936
mat `T_b'[1,12] =  .5693953479543347
mat `T_b'[1,13] =  .7749066114175528
mat `T_b'[1,14] = -.8632507875160163
mat `T_b'[1,15] = -1.477439553705163
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =  .1065149644469595
mat `T_V'[1,2] = -.0013306046047623
mat `T_V'[1,3] = -.0141078169742804
mat `T_V'[1,4] = -.1066037345061817
mat `T_V'[1,5] =  .0146555440529174
mat `T_V'[1,6] =  .0096020775548578
mat `T_V'[1,7] = -.0000159049780378
mat `T_V'[1,8] = -.0006151721340749
mat `T_V'[1,9] =  -.009603716167958
mat `T_V'[1,10] =  .0006199713090086
mat `T_V'[1,11] =  .0263880812508857
mat `T_V'[1,12] = -.0000187960998711
mat `T_V'[1,13] = -.0020042222205579
mat `T_V'[1,14] = -.0263946932175852
mat `T_V'[1,15] =  .0020129168825329
mat `T_V'[2,1] = -.0013306046047623
mat `T_V'[2,2] =  .0165217660869651
mat `T_V'[2,3] =  .0043824518367672
mat `T_V'[2,4] =  .0024339620148045
mat `T_V'[2,5] = -.0111720175699726
mat `T_V'[2,6] =  .0000438786787497
mat `T_V'[2,7] =  .0009068035704265
mat `T_V'[2,8] =  .0002789068630156
mat `T_V'[2,9] =  .0000186751871561
mat `T_V'[2,10] =  -.000561698944087
mat `T_V'[2,11] =  .0001839533295785
mat `T_V'[2,12] =  .0028282494486601
mat `T_V'[2,13] =   .000844338094884
mat `T_V'[2,14] =  7.96814854857e-06
mat `T_V'[2,15] = -.0017419973268959
mat `T_V'[3,1] = -.0141078169742804
mat `T_V'[3,2] =  .0043824518367672
mat `T_V'[3,3] =   .020356220393257
mat `T_V'[3,4] =  .0236575379738288
mat `T_V'[3,5] = -.0144032414746847
mat `T_V'[3,6] = -.0005642341199971
mat `T_V'[3,7] =  .0002678719204063
mat `T_V'[3,8] =  .0012778974219789
mat `T_V'[3,9] =  .0009279532207278
mat `T_V'[3,10] = -.0010520513195084
mat `T_V'[3,11] = -.0018409321805076
mat `T_V'[3,12] =  .0007917766383387
mat `T_V'[3,13] =  .0038062227980635
mat `T_V'[3,14] =  .0030466007747353
mat `T_V'[3,15] = -.0030427329399412
mat `T_V'[4,1] = -.1066037345061817
mat `T_V'[4,2] =  .0024339620148045
mat `T_V'[4,3] =  .0236575379738288
mat `T_V'[4,4] =  .1741214392239728
mat `T_V'[4,5] = -.0154015353821811
mat `T_V'[4,6] =   -.00959962376776
mat `T_V'[4,7] =  .0000832897841133
mat `T_V'[4,8] =  .0009816505763142
mat `T_V'[4,9] =   .012353463628341
mat `T_V'[4,10] =  -.000661419120126
mat `T_V'[4,11] = -.0263776193003694
mat `T_V'[4,12] =   .000236347219679
mat `T_V'[4,13] =  .0032229271828048
mat `T_V'[4,14] =  .0354564038727146
mat `T_V'[4,15] = -.0021446064713192
mat `T_V'[5,1] =  .0146555440529174
mat `T_V'[5,2] = -.0111720175699726
mat `T_V'[5,3] = -.0144032414746847
mat `T_V'[5,4] = -.0154015353821811
mat `T_V'[5,5] =  .0189953564713333
mat `T_V'[5,6] =  .0005396259427406
mat `T_V'[5,7] = -.0005484065520572
mat `T_V'[5,8] = -.0010586196592282
mat `T_V'[5,9] = -.0005780800853605
mat `T_V'[5,10] =  .0012294442250909
mat `T_V'[5,11] =  .0017482528561963
mat `T_V'[5,12] = -.0016857203625384
mat `T_V'[5,13] = -.0030763933758814
mat `T_V'[5,14] = -.0018683903057706
mat `T_V'[5,15] =  .0036143830295817
mat `T_V'[6,1] =  .0096020775548578
mat `T_V'[6,2] =  .0000438786787497
mat `T_V'[6,3] = -.0005642341199971
mat `T_V'[6,4] =   -.00959962376776
mat `T_V'[6,5] =  .0005396259427406
mat `T_V'[6,6] =  .1667748226907147
mat `T_V'[6,7] = -.0010357407172625
mat `T_V'[6,8] = -.0088811755021511
mat `T_V'[6,9] = -.1668333644436941
mat `T_V'[6,10] =  .0092124951275825
mat `T_V'[6,11] =  .0940448128108702
mat `T_V'[6,12] =  -.000518951833169
mat `T_V'[6,13] = -.0052036400151665
mat `T_V'[6,14] = -.0940804947059449
mat `T_V'[6,15] =  .0053623393113951
mat `T_V'[7,1] = -.0000159049780378
mat `T_V'[7,2] =  .0009068035704265
mat `T_V'[7,3] =  .0002678719204063
mat `T_V'[7,4] =  .0000832897841133
mat `T_V'[7,5] = -.0005484065520572
mat `T_V'[7,6] = -.0010357407172625
mat `T_V'[7,7] =  .0140286819830894
mat `T_V'[7,8] =  .0037427872347718
mat `T_V'[7,9] =  .0018307667170731
mat `T_V'[7,10] = -.0082278196779297
mat `T_V'[7,11] = -.0005254158555671
mat `T_V'[7,12] =  .0083937693125688
mat `T_V'[7,13] =  .0021668392866687
mat `T_V'[7,14] =  .0010670437923668
mat `T_V'[7,15] = -.0047346857617589
mat `T_V'[8,1] = -.0006151721340749
mat `T_V'[8,2] =  .0002789068630156
mat `T_V'[8,3] =  .0012778974219789
mat `T_V'[8,4] =  .0009816505763142
mat `T_V'[8,5] = -.0010586196592282
mat `T_V'[8,6] = -.0088811755021511
mat `T_V'[8,7] =  .0037427872347718
mat `T_V'[8,8] =  .0199606906645408
mat `T_V'[8,9] =  .0144680977282371
mat `T_V'[8,10] = -.0163899591347528
mat `T_V'[8,11] =  -.005207619305611
mat `T_V'[8,12] =     .0021718112906
mat `T_V'[8,13] =  .0115835753448903
mat `T_V'[8,14] =  .0085160421830688
mat `T_V'[8,15] = -.0094145791528796
mat `T_V'[9,1] =  -.009603716167958
mat `T_V'[9,2] =  .0000186751871561
mat `T_V'[9,3] =  .0009279532207278
mat `T_V'[9,4] =   .012353463628341
mat `T_V'[9,5] = -.0005780800853605
mat `T_V'[9,6] = -.1668333644436941
mat `T_V'[9,7] =  .0018307667170731
mat `T_V'[9,8] =  .0144680977282371
mat `T_V'[9,9] =  .2099670815604686
mat `T_V'[9,10] = -.0096786229912491
mat `T_V'[9,11] = -.0940785438486984
mat `T_V'[9,12] =  .0010609668356526
mat `T_V'[9,13] =   .008508966543899
mat `T_V'[9,14] =  .1196325268438309
mat `T_V'[9,15] = -.0056660316124714
mat `T_V'[10,1] =  .0006199713090086
mat `T_V'[10,2] =  -.000561698944087
mat `T_V'[10,3] = -.0010520513195084
mat `T_V'[10,4] =  -.000661419120126
mat `T_V'[10,5] =  .0012294442250909
mat `T_V'[10,6] =  .0092124951275825
mat `T_V'[10,7] = -.0082278196779297
mat `T_V'[10,8] = -.0163899591347528
mat `T_V'[10,9] = -.0096786229912491
mat `T_V'[10,10] =  .0190207248041691
mat `T_V'[10,11] =  .0053684756242275
mat `T_V'[10,12] = -.0047404204491564
mat `T_V'[10,13] = -.0094165543710623
mat `T_V'[10,14] = -.0056793182298397
mat `T_V'[10,15] =  .0108671627560201
mat `T_V'[11,1] =  .0263880812508857
mat `T_V'[11,2] =  .0001839533295785
mat `T_V'[11,3] = -.0018409321805076
mat `T_V'[11,4] = -.0263776193003694
mat `T_V'[11,5] =  .0017482528561963
mat `T_V'[11,6] =  .0940448128108702
mat `T_V'[11,7] = -.0005254158555671
mat `T_V'[11,8] =  -.005207619305611
mat `T_V'[11,9] = -.0940785438486984
mat `T_V'[11,10] =  .0053684756242275
mat `T_V'[11,11] =    .80748631863656
mat `T_V'[11,12] = -.0046603577062603
mat `T_V'[11,13] = -.0466132880876809
mat `T_V'[11,14] = -.8076711347980027
mat `T_V'[11,15] =  .0480304513066224
mat `T_V'[12,1] = -.0000187960998711
mat `T_V'[12,2] =  .0028282494486601
mat `T_V'[12,3] =  .0007917766383387
mat `T_V'[12,4] =   .000236347219679
mat `T_V'[12,5] = -.0016857203625384
mat `T_V'[12,6] =  -.000518951833169
mat `T_V'[12,7] =  .0083937693125688
mat `T_V'[12,8] =     .0021718112906
mat `T_V'[12,9] =  .0010609668356526
mat `T_V'[12,10] = -.0047404204491564
mat `T_V'[12,11] = -.0046603577062603
mat `T_V'[12,12] =  .0744359489564189
mat `T_V'[12,13] =  .0170743861681519
mat `T_V'[12,14] =  .0076367776950752
mat `T_V'[12,15] = -.0397223814003962
mat `T_V'[13,1] = -.0020042222205579
mat `T_V'[13,2] =   .000844338094884
mat `T_V'[13,3] =  .0038062227980635
mat `T_V'[13,4] =  .0032229271828048
mat `T_V'[13,5] = -.0030763933758814
mat `T_V'[13,6] = -.0052036400151665
mat `T_V'[13,7] =  .0021668392866687
mat `T_V'[13,8] =  .0115835753448903
mat `T_V'[13,9] =   .008508966543899
mat `T_V'[13,10] = -.0094165543710623
mat `T_V'[13,11] = -.0466132880876809
mat `T_V'[13,12] =  .0170743861681519
mat `T_V'[13,13] =  .1001139390028624
mat `T_V'[13,14] =  .0764162156079515
mat `T_V'[13,15] =   -.07994185102182
mat `T_V'[14,1] = -.0263946932175852
mat `T_V'[14,2] =  7.96814854857e-06
mat `T_V'[14,3] =  .0030466007747353
mat `T_V'[14,4] =  .0354564038727146
mat `T_V'[14,5] = -.0018683903057706
mat `T_V'[14,6] = -.0940804947059449
mat `T_V'[14,7] =  .0010670437923668
mat `T_V'[14,8] =  .0085160421830688
mat `T_V'[14,9] =  .1196325268438309
mat `T_V'[14,10] = -.0056793182298397
mat `T_V'[14,11] = -.8076711347980027
mat `T_V'[14,12] =  .0076367776950752
mat `T_V'[14,13] =  .0764162156079515
mat `T_V'[14,14] =   1.04553875641142
mat `T_V'[14,15] = -.0496237639844841
mat `T_V'[15,1] =  .0020129168825329
mat `T_V'[15,2] = -.0017419973268959
mat `T_V'[15,3] = -.0030427329399412
mat `T_V'[15,4] = -.0021446064713192
mat `T_V'[15,5] =  .0036143830295817
mat `T_V'[15,6] =  .0053623393113951
mat `T_V'[15,7] = -.0047346857617589
mat `T_V'[15,8] = -.0094145791528796
mat `T_V'[15,9] = -.0056660316124714
mat `T_V'[15,10] =  .0108671627560201
mat `T_V'[15,11] =  .0480304513066224
mat `T_V'[15,12] = -.0397223814003962
mat `T_V'[15,13] =   -.07994185102182
mat `T_V'[15,14] = -.0496237639844841
mat `T_V'[15,15] =  .0920286083728265
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'


tempname T_mpnts 
mat `T_mpnts' = J(2,3,0)
mat `T_mpnts'[1,1] = -.7453559924999299
mat `T_mpnts'[1,2] =  .7453559924999299
mat `T_mpnts'[1,3] =   2.23606797749979
mat `T_mpnts'[2,1] =                 .6
mat `T_mpnts'[2,2] =                 .3
mat `T_mpnts'[2,3] =                 .1
tempname C_mpnts
matrix `C_mpnts' = e(mpnts)
assert mreldif( `C_mpnts' , `T_mpnts' ) < 1E-8
_assert_streq `"`: rowfullnames `C_mpnts''"' `"mass_point proportion"'
_assert_streq `"`: colfullnames `C_mpnts''"' `"point_1 point_2 point_3"'
mat drop `C_mpnts' `T_mpnts'


// deltasd
seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) deltasd(byr .5)

assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(sd_delta)'"'   == `".5 .5 .5"'
assert `"`e(sd_var)'"'     == `"byr"'
assert `"`e(sigma)'"'      == `"1 1 1"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_uh_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.183420461513) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 110.4134161279471 ) <  1E-8
assert reldif( e(p)           , 4.95694501926e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 3
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(draws)      == 100
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2
assert         e(eqtr1c1)    == 1

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.579949513534459
mat `T_b'[1,2] = -.4844318278814319
mat `T_b'[1,3] =  .8778098015937176
mat `T_b'[1,4] = -1.147269084225888
mat `T_b'[1,5] =  1.774679406751695
mat `T_b'[1,6] =  .1190941483974481
mat `T_b'[1,7] = -.2647638451772824
mat `T_b'[1,8] =    .18681201772237
mat `T_b'[1,9] = -.1237085443000094
mat `T_b'[1,10] =  -.115567902792057
mat `T_b'[1,11] = -.0926262474814399
mat `T_b'[1,12] =  .4026437459556829
mat `T_b'[1,13] =  .4226161222799802
mat `T_b'[1,14] = -.3353459783162553
mat `T_b'[1,15] = -.8368179230833273
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =  .1287063748773705
mat `T_V'[1,2] = -.0014288855671438
mat `T_V'[1,3] = -.0193800269411259
mat `T_V'[1,4] = -.1288334389225349
mat `T_V'[1,5] =  .0199508556264596
mat `T_V'[1,6] =  .0138767330063776
mat `T_V'[1,7] = -.0000271147996021
mat `T_V'[1,8] = -.0024509302045595
mat `T_V'[1,9] = -.0138794647551995
mat `T_V'[1,10] =  .0024609194677924
mat `T_V'[1,11] =  .0117381617811364
mat `T_V'[1,12] = -5.45590372499e-07
mat `T_V'[1,13] = -.0018773586672395
mat `T_V'[1,14] = -.0117418825800197
mat `T_V'[1,15] =  .0018782417916465
mat `T_V'[2,1] = -.0014288855671438
mat `T_V'[2,2] =  .0196013372598658
mat `T_V'[2,3] =  .0053166814947609
mat `T_V'[2,4] =  .0031804886879491
mat `T_V'[2,5] = -.0131331086932545
mat `T_V'[2,6] = -.0000861036064039
mat `T_V'[2,7] =  .0015448134853089
mat `T_V'[2,8] =  .0004582509196816
mat `T_V'[2,9] =  .0001948605948874
mat `T_V'[2,10] = -.0009805659140941
mat `T_V'[2,11] = -.0000277737688365
mat `T_V'[2,12] =   .001287359599081
mat `T_V'[2,13] =   .000399521670226
mat `T_V'[2,14] =  .0001286403212005
mat `T_V'[2,15] = -.0008113207573273
mat `T_V'[3,1] = -.0193800269411259
mat `T_V'[3,2] =  .0053166814947609
mat `T_V'[3,3] =  .0255082549232013
mat `T_V'[3,4] =  .0318434720343892
mat `T_V'[3,5] = -.0182584042197889
mat `T_V'[3,6] = -.0024495162020922
mat `T_V'[3,7] =  .0004480303275395
mat `T_V'[3,8] =  .0025941981220668
mat `T_V'[3,9] =  .0036428237006945
mat `T_V'[3,10] = -.0020192855483027
mat `T_V'[3,11] = -.0018444728382572
mat `T_V'[3,12] =  .0003784211708827
mat `T_V'[3,13] =  .0021115944473914
mat `T_V'[3,14] =  .0027418173410368
mat `T_V'[3,15] = -.0016656694649675
mat `T_V'[4,1] = -.1288334389225349
mat `T_V'[4,2] =  .0031804886879491
mat `T_V'[4,3] =  .0318434720343892
mat `T_V'[4,4] =  .2068423666057288
mat `T_V'[4,5] = -.0211238825798064
mat `T_V'[4,6] = -.0138896290024486
mat `T_V'[4,7] =  .0002272929648424
mat `T_V'[4,8] =  .0036650082385064
mat `T_V'[4,9] =  .0190214119246162
mat `T_V'[4,10] = -.0025853690885012
mat `T_V'[4,11] =  -.011747430684572
mat `T_V'[4,12] =  .0001888986280675
mat `T_V'[4,13] =  .0027910274157086
mat `T_V'[4,14] =  .0158195279001936
mat `T_V'[4,15] =  -.001991207311831
mat `T_V'[5,1] =  .0199508556264596
mat `T_V'[5,2] = -.0131331086932545
mat `T_V'[5,3] = -.0182584042197889
mat `T_V'[5,4] = -.0211238825798064
mat `T_V'[5,5] =  .0234964327494348
mat `T_V'[5,6] =  .0024749236623317
mat `T_V'[5,7] = -.0009572953891706
mat `T_V'[5,8] = -.0020226094505478
mat `T_V'[5,9] = -.0025430672749691
mat `T_V'[5,10] =  .0023470262790254
mat `T_V'[5,11] =  .0018449368308528
mat `T_V'[5,12] = -.0007779133509808
mat `T_V'[5,13] = -.0016767971429317
mat `T_V'[5,14] = -.0019092228603788
mat `T_V'[5,15] =  .0019262776511874
mat `T_V'[6,1] =  .0138767330063776
mat `T_V'[6,2] = -.0000861036064039
mat `T_V'[6,3] = -.0024495162020922
mat `T_V'[6,4] = -.0138896290024486
mat `T_V'[6,5] =  .0024749236623317
mat `T_V'[6,6] =  .1455454189797586
mat `T_V'[6,7] = -.0010623242471441
mat `T_V'[6,8] = -.0118104322219792
mat `T_V'[6,9] = -.1456078354602769
mat `T_V'[6,10] =  .0121602740164832
mat `T_V'[6,11] =  .0216625119021844
mat `T_V'[6,12] = -.0001839693500249
mat `T_V'[6,13] =  -.003268478911876
mat `T_V'[6,14] = -.0216745038066558
mat `T_V'[6,15] =  .0033272595287961
mat `T_V'[7,1] = -.0000271147996021
mat `T_V'[7,2] =  .0015448134853089
mat `T_V'[7,3] =  .0004480303275395
mat `T_V'[7,4] =  .0002272929648424
mat `T_V'[7,5] = -.0009572953891706
mat `T_V'[7,6] = -.0010623242471441
mat `T_V'[7,7] =  .0128580594912078
mat `T_V'[7,8] =  .0033948928066658
mat `T_V'[7,9] =  .0018176971621756
mat `T_V'[7,10] = -.0076298290634157
mat `T_V'[7,11] = -.0002542610337017
mat `T_V'[7,12] =  .0020058790041962
mat `T_V'[7,13] =  .0005511971459078
mat `T_V'[7,14] =  .0003931087381713
mat `T_V'[7,15] = -.0011942273437828
mat `T_V'[8,1] = -.0024509302045595
mat `T_V'[8,2] =  .0004582509196816
mat `T_V'[8,3] =  .0025941981220668
mat `T_V'[8,4] =  .0036650082385064
mat `T_V'[8,5] = -.0020226094505478
mat `T_V'[8,6] = -.0118104322219792
mat `T_V'[8,7] =  .0033948928066658
mat `T_V'[8,8] =  .0190293629931068
mat `T_V'[8,9] =  .0181249102303913
mat `T_V'[8,10] = -.0153797622018936
mat `T_V'[8,11] = -.0032717810545187
mat `T_V'[8,12] =  .0005456520641599
mat `T_V'[8,13] =  .0033827924698105
mat `T_V'[8,14] =  .0046922404628616
mat `T_V'[8,15] = -.0026936607416877
mat `T_V'[9,1] = -.0138794647551995
mat `T_V'[9,2] =  .0001948605948874
mat `T_V'[9,3] =  .0036428237006945
mat `T_V'[9,4] =  .0190214119246162
mat `T_V'[9,5] = -.0025430672749691
mat `T_V'[9,6] = -.1456078354602769
mat `T_V'[9,7] =  .0018176971621756
mat `T_V'[9,8] =  .0181249102303913
mat `T_V'[9,9] =  .1859229442606625
mat `T_V'[9,10] = -.0126085465252849
mat `T_V'[9,11] = -.0216823840679922
mat `T_V'[9,12] =  .0003596627649023
mat `T_V'[9,13] =  .0046825300310723
mat `T_V'[9,14] =  .0277645265460571
mat `T_V'[9,15] = -.0034290898484561
mat `T_V'[10,1] =  .0024609194677924
mat `T_V'[10,2] = -.0009805659140941
mat `T_V'[10,3] = -.0020192855483027
mat `T_V'[10,4] = -.0025853690885012
mat `T_V'[10,5] =  .0023470262790254
mat `T_V'[10,6] =  .0121602740164832
mat `T_V'[10,7] = -.0076298290634157
mat `T_V'[10,8] = -.0153797622018936
mat `T_V'[10,9] = -.0126085465252849
mat `T_V'[10,10] =  .0178927766234322
mat `T_V'[10,11] =  .0033537322910177
mat `T_V'[10,12] = -.0011864119609751
mat `T_V'[10,13] =  -.002695798411527
mat `T_V'[10,14] = -.0034361504405644
mat `T_V'[10,15] =   .003076196981082
mat `T_V'[11,1] =  .0117381617811364
mat `T_V'[11,2] = -.0000277737688365
mat `T_V'[11,3] = -.0018444728382572
mat `T_V'[11,4] =  -.011747430684572
mat `T_V'[11,5] =  .0018449368308528
mat `T_V'[11,6] =  .0216625119021844
mat `T_V'[11,7] = -.0002542610337017
mat `T_V'[11,8] = -.0032717810545187
mat `T_V'[11,9] = -.0216823840679922
mat `T_V'[11,10] =  .0033537322910177
mat `T_V'[11,11] =  .2955932784451322
mat `T_V'[11,12] = -.0022105609565718
mat `T_V'[11,13] = -.0211773423833364
mat `T_V'[11,14] = -.2956702556593459
mat `T_V'[11,15] =  .0218651226221617
mat `T_V'[12,1] = -5.45590372499e-07
mat `T_V'[12,2] =   .001287359599081
mat `T_V'[12,3] =  .0003784211708827
mat `T_V'[12,4] =  .0001888986280675
mat `T_V'[12,5] = -.0007779133509808
mat `T_V'[12,6] = -.0001839693500249
mat `T_V'[12,7] =  .0020058790041962
mat `T_V'[12,8] =  .0005456520641599
mat `T_V'[12,9] =  .0003596627649023
mat `T_V'[12,10] = -.0011864119609751
mat `T_V'[12,11] = -.0022105609565718
mat `T_V'[12,12] =  .0253805902584659
mat `T_V'[12,13] =  .0059804546049817
mat `T_V'[12,14] =  .0030920733182408
mat `T_V'[12,15] = -.0138763535482366
mat `T_V'[13,1] = -.0018773586672395
mat `T_V'[13,2] =   .000399521670226
mat `T_V'[13,3] =  .0021115944473914
mat `T_V'[13,4] =  .0027910274157086
mat `T_V'[13,5] = -.0016767971429317
mat `T_V'[13,6] =  -.003268478911876
mat `T_V'[13,7] =  .0005511971459078
mat `T_V'[13,8] =  .0033827924698105
mat `T_V'[13,9] =  .0046825300310723
mat `T_V'[13,10] =  -.002695798411527
mat `T_V'[13,11] = -.0211773423833364
mat `T_V'[13,12] =  .0059804546049817
mat `T_V'[13,13] =  .0370262398221651
mat `T_V'[13,14] =  .0328417461928616
mat `T_V'[13,15] =  -.029921136230687
mat `T_V'[14,1] = -.0117418825800197
mat `T_V'[14,2] =  .0001286403212005
mat `T_V'[14,3] =  .0027418173410368
mat `T_V'[14,4] =  .0158195279001936
mat `T_V'[14,5] = -.0019092228603788
mat `T_V'[14,6] = -.0216745038066558
mat `T_V'[14,7] =  .0003931087381713
mat `T_V'[14,8] =  .0046922404628616
mat `T_V'[14,9] =  .0277645265460571
mat `T_V'[14,10] = -.0034361504405644
mat `T_V'[14,11] = -.2956702556593459
mat `T_V'[14,12] =  .0030920733182408
mat `T_V'[14,13] =  .0328417461928616
mat `T_V'[14,14] =  .3753233420691522
mat `T_V'[14,15] = -.0223478444049823
mat `T_V'[15,1] =  .0018782417916465
mat `T_V'[15,2] = -.0008113207573273
mat `T_V'[15,3] = -.0016656694649675
mat `T_V'[15,4] =  -.001991207311831
mat `T_V'[15,5] =  .0019262776511874
mat `T_V'[15,6] =  .0033272595287961
mat `T_V'[15,7] = -.0011942273437828
mat `T_V'[15,8] = -.0026936607416877
mat `T_V'[15,9] = -.0034290898484561
mat `T_V'[15,10] =   .003076196981082
mat `T_V'[15,11] =  .0218651226221617
mat `T_V'[15,12] = -.0138763535482366
mat `T_V'[15,13] =  -.029921136230687
mat `T_V'[15,14] = -.0223478444049823
mat `T_V'[15,15] =  .0342382598038564
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'

// uniform
seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) uniform


assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(uniform)'"'    == `"uniform"'
assert `"`e(sigma)'"'      == `"1 1 1"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_uh_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.512260864885) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 109.7557353212023 ) <  1E-8
assert reldif( e(p)           , 6.68810581112e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 3
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(draws)      == 100
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2
assert         e(eqtr1c1)    == 1

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.424726427000732
mat `T_b'[1,2] = -.4838460935252525
mat `T_b'[1,3] =  .8774345148450096
mat `T_b'[1,4] = -1.299764916598784
mat `T_b'[1,5] =  1.775178281947786
mat `T_b'[1,6] =  .3652176326786604
mat `T_b'[1,7] = -.2843271806710036
mat `T_b'[1,8] =  .2084909590776551
mat `T_b'[1,9] = -.3038065602050245
mat `T_b'[1,10] =  -.134846208927473
mat `T_b'[1,11] =  .3992289675319783
mat `T_b'[1,12] =  .3958673754484028
mat `T_b'[1,13] =  .4354375736100067
mat `T_b'[1,14] =  -.475697581426812
mat `T_b'[1,15] = -.9026517356680208
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =  .1365370540060813
mat `T_V'[1,2] = -.0015374272938476
mat `T_V'[1,3] = -.0164490813361963
mat `T_V'[1,4] = -.1366426312671535
mat `T_V'[1,5] =  .0170632865570218
mat `T_V'[1,6] =  .0194178821289899
mat `T_V'[1,7] = -.0000378624132102
mat `T_V'[1,8] = -.0015378538313968
mat `T_V'[1,9] = -.0194209932898948
mat `T_V'[1,10] =  .0015506982780527
mat `T_V'[1,11] =  .0140066985081441
mat `T_V'[1,12] = -6.57732926405e-06
mat `T_V'[1,13] = -.0012039389969766
mat `T_V'[1,14] = -.0140101200205474
mat `T_V'[1,15] =  .0012072432649967
mat `T_V'[2,1] = -.0015374272938476
mat `T_V'[2,2] =  .0197701219647566
mat `T_V'[2,3] =  .0052930907045124
mat `T_V'[2,4] =  .0028936787057057
mat `T_V'[2,5] =  -.013171645213898
mat `T_V'[2,6] =  .0000355059177366
mat `T_V'[2,7] =  .0019996693803219
mat `T_V'[2,8] =  .0005807420176491
mat `T_V'[2,9] =  .0000865262252835
mat `T_V'[2,10] = -.0012465815824185
mat `T_V'[2,11] =  .0000702070862179
mat `T_V'[2,12] =  .0015878135871555
mat `T_V'[2,13] =  .0004658360949546
mat `T_V'[2,14] =  .0000267686483376
mat `T_V'[2,15] = -.0009794171470573
mat `T_V'[3,1] = -.0164490813361963
mat `T_V'[3,2] =  .0052930907045124
mat `T_V'[3,3] =  .0245752507325181
mat `T_V'[3,4] =  .0272899270272196
mat `T_V'[3,5] = -.0178311768048854
mat `T_V'[3,6] = -.0014553475572176
mat `T_V'[3,7] =  .0005673967372813
mat `T_V'[3,8] =  .0027773217419454
mat `T_V'[3,9] =  .0023142990087843
mat `T_V'[3,10] =  -.002244175365244
mat `T_V'[3,11] = -.0011279117672011
mat `T_V'[3,12] =  .0004547628304072
mat `T_V'[3,13] =  .0021232185953394
mat `T_V'[3,14] =   .001819092398406
mat `T_V'[3,15] =  -.001687697831808
mat `T_V'[4,1] = -.1366426312671535
mat `T_V'[4,2] =  .0028936787057057
mat `T_V'[4,3] =  .0272899270272196
mat `T_V'[4,4] =    .21393551742528
mat `T_V'[4,5] = -.0179669689281202
mat `T_V'[4,6] =  -.019414538967276
mat `T_V'[4,7] =  .0001626290422596
mat `T_V'[4,8] =  .0023989001563617
mat `T_V'[4,9] =  .0259431773728929
mat `T_V'[4,10] =  -.001628844880812
mat `T_V'[4,11] = -.0140016851657259
mat `T_V'[4,12] =  .0001128087612033
mat `T_V'[4,13] =  .0019006512388134
mat `T_V'[4,14] =  .0192625236901829
mat `T_V'[4,15] = -.0012728807886758
mat `T_V'[5,1] =  .0170632865570218
mat `T_V'[5,2] =  -.013171645213898
mat `T_V'[5,3] = -.0178311768048854
mat `T_V'[5,4] = -.0179669689281202
mat `T_V'[5,5] =  .0230814826929391
mat `T_V'[5,6] =  .0014315266151561
mat `T_V'[5,7] = -.0012303617349774
mat `T_V'[5,8] = -.0022515805899563
mat `T_V'[5,9] = -.0015073045886854
mat `T_V'[5,10] =  .0026614637110233
mat `T_V'[5,11] =  .0010903776607105
mat `T_V'[5,12] = -.0009629888425968
mat `T_V'[5,13] = -.0016970857536597
mat `T_V'[5,14] = -.0011516172413383
mat `T_V'[5,15] =  .0020095006648343
mat `T_V'[6,1] =  .0194178821289899
mat `T_V'[6,2] =  .0000355059177366
mat `T_V'[6,3] = -.0014553475572176
mat `T_V'[6,4] =  -.019414538967276
mat `T_V'[6,5] =  .0014315266151561
mat `T_V'[6,6] =  .1582169830179814
mat `T_V'[6,7] = -.0010067306050667
mat `T_V'[6,8] = -.0096876521291759
mat `T_V'[6,9] = -.1582715038433928
mat `T_V'[6,10] =  .0100210800808924
mat `T_V'[6,11] =  .0241902646646258
mat `T_V'[6,12] =  -.000133819549614
mat `T_V'[6,13] =  -.001896479302429
mat `T_V'[6,14] = -.0241984233665387
mat `T_V'[6,15] =  .0019411897379633
mat `T_V'[7,1] = -.0000378624132102
mat `T_V'[7,2] =  .0019996693803219
mat `T_V'[7,3] =  .0005673967372813
mat `T_V'[7,4] =  .0001626290422596
mat `T_V'[7,5] = -.0012303617349774
mat `T_V'[7,6] = -.0010067306050667
mat `T_V'[7,7] =  .0140109559729551
mat `T_V'[7,8] =  .0036846175266719
mat `T_V'[7,9] =  .0017672595856003
mat `T_V'[7,10] = -.0083253503525208
mat `T_V'[7,11] = -.0001581202539547
mat `T_V'[7,12] =  .0024640352498512
mat `T_V'[7,13] =  .0006381607717942
mat `T_V'[7,14] =  .0002954007274771
mat `T_V'[7,15] = -.0014488601886693
mat `T_V'[8,1] = -.0015378538313968
mat `T_V'[8,2] =  .0005807420176491
mat `T_V'[8,3] =  .0027773217419454
mat `T_V'[8,4] =  .0023989001563617
mat `T_V'[8,5] = -.0022515805899563
mat `T_V'[8,6] = -.0096876521291759
mat `T_V'[8,7] =  .0036846175266719
mat `T_V'[8,8] =  .0196822344963833
mat `T_V'[8,9] =  .0154703640886732
mat `T_V'[8,10] = -.0159943368755773
mat `T_V'[8,11] = -.0018983159825724
mat `T_V'[8,12] =  .0006504251669342
mat `T_V'[8,13] =  .0033036873050988
mat `T_V'[8,14] =  .0029419030625025
mat `T_V'[8,15] = -.0026300248267696
mat `T_V'[9,1] = -.0194209932898948
mat `T_V'[9,2] =  .0000865262252835
mat `T_V'[9,3] =  .0023142990087843
mat `T_V'[9,4] =  .0259431773728929
mat `T_V'[9,5] = -.0015073045886854
mat `T_V'[9,6] = -.1582715038433928
mat `T_V'[9,7] =  .0017672595856003
mat `T_V'[9,8] =  .0154703640886732
mat `T_V'[9,9] =  .2027611391250836
mat `T_V'[9,10] = -.0104730286004379
mat `T_V'[9,11] =  -.024198877352622
mat `T_V'[9,12] =  .0002696331026192
mat `T_V'[9,13] =  .0029390742413788
mat `T_V'[9,14] =  .0322411633170311
mat `T_V'[9,15] = -.0020210249483934
mat `T_V'[10,1] =  .0015506982780527
mat `T_V'[10,2] = -.0012465815824185
mat `T_V'[10,3] =  -.002244175365244
mat `T_V'[10,4] =  -.001628844880812
mat `T_V'[10,5] =  .0026614637110233
mat `T_V'[10,6] =  .0100210800808924
mat `T_V'[10,7] = -.0083253503525208
mat `T_V'[10,8] = -.0159943368755773
mat `T_V'[10,9] = -.0104730286004379
mat `T_V'[10,10] =  .0187518865987986
mat `T_V'[10,11] =  .0019500976369943
mat `T_V'[10,12] = -.0014594079714224
mat `T_V'[10,13] = -.0026257585688835
mat `T_V'[10,14] = -.0020316389312304
mat `T_V'[10,15] =  .0031060552063315
mat `T_V'[11,1] =  .0140066985081441
mat `T_V'[11,2] =  .0000702070862179
mat `T_V'[11,3] = -.0011279117672011
mat `T_V'[11,4] = -.0140016851657259
mat `T_V'[11,5] =  .0010903776607105
mat `T_V'[11,6] =  .0241902646646258
mat `T_V'[11,7] = -.0001581202539547
mat `T_V'[11,8] = -.0018983159825724
mat `T_V'[11,9] =  -.024198877352622
mat `T_V'[11,10] =  .0019500976369943
mat `T_V'[11,11] =  .2948837309540261
mat `T_V'[11,12] = -.0020210668267781
mat `T_V'[11,13] =  -.017172977883946
mat `T_V'[11,14] = -.2949472613854651
mat `T_V'[11,15] =  .0178002749124936
mat `T_V'[12,1] = -6.57732926405e-06
mat `T_V'[12,2] =  .0015878135871555
mat `T_V'[12,3] =  .0004547628304072
mat `T_V'[12,4] =  .0001128087612033
mat `T_V'[12,5] = -.0009629888425968
mat `T_V'[12,6] =  -.000133819549614
mat `T_V'[12,7] =  .0024640352498512
mat `T_V'[12,8] =  .0006504251669342
mat `T_V'[12,9] =  .0002696331026192
mat `T_V'[12,10] = -.0014594079714224
mat `T_V'[12,11] = -.0020210668267781
mat `T_V'[12,12] =  .0261974822509853
mat `T_V'[12,13] =   .006097302463887
mat `T_V'[12,14] =   .002851208814104
mat `T_V'[12,15] = -.0142316422545772
mat `T_V'[13,1] = -.0012039389969766
mat `T_V'[13,2] =  .0004658360949546
mat `T_V'[13,3] =  .0021232185953394
mat `T_V'[13,4] =  .0019006512388134
mat `T_V'[13,5] = -.0016970857536597
mat `T_V'[13,6] =  -.001896479302429
mat `T_V'[13,7] =  .0006381607717942
mat `T_V'[13,8] =  .0033036873050988
mat `T_V'[13,9] =  .0029390742413788
mat `T_V'[13,10] = -.0026257585688835
mat `T_V'[13,11] =  -.017172977883946
mat `T_V'[13,12] =   .006097302463887
mat `T_V'[13,13] =   .036067884814118
mat `T_V'[13,14] =  .0276628147743292
mat `T_V'[13,15] =  -.029049845942106
mat `T_V'[14,1] = -.0140101200205474
mat `T_V'[14,2] =  .0000267686483376
mat `T_V'[14,3] =   .001819092398406
mat `T_V'[14,4] =  .0192625236901829
mat `T_V'[14,5] = -.0011516172413383
mat `T_V'[14,6] = -.0241984233665387
mat `T_V'[14,7] =  .0002954007274771
mat `T_V'[14,8] =  .0029419030625025
mat `T_V'[14,9] =  .0322411633170311
mat `T_V'[14,10] = -.0020316389312304
mat `T_V'[14,11] = -.2949472613854651
mat `T_V'[14,12] =   .002851208814104
mat `T_V'[14,13] =  .0276628147743292
mat `T_V'[14,14] =  .3790051245270842
mat `T_V'[14,15] = -.0182519222828293
mat `T_V'[15,1] =  .0012072432649967
mat `T_V'[15,2] = -.0009794171470573
mat `T_V'[15,3] =  -.001687697831808
mat `T_V'[15,4] = -.0012728807886758
mat `T_V'[15,5] =  .0020095006648343
mat `T_V'[15,6] =  .0019411897379633
mat `T_V'[15,7] = -.0014488601886693
mat `T_V'[15,8] = -.0026300248267696
mat `T_V'[15,9] = -.0020210249483934
mat `T_V'[15,10] =  .0031060552063315
mat `T_V'[15,11] =  .0178002749124936
mat `T_V'[15,12] = -.0142316422545772
mat `T_V'[15,13] =  -.029049845942106
mat `T_V'[15,14] = -.0182519222828293
mat `T_V'[15,15] =  .0334692235002888
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'

// mixtures of normals
seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) mn(.25 -1, .75 1)
		 

assert `"`e(over)'"'       == `"byr"'
assert `"`e(ofinterest)'"' == `"white"'
assert `"`e(tr3choice1)'"' == `"4"'
assert `"`e(tr3choice0)'"' == `"3"'
assert `"`e(eqstr3)'"'     == `"3"'
assert `"`e(tr2choice1)'"' == `"3 4"'
assert `"`e(tr2choice0)'"' == `"2"'
assert `"`e(eqstr2)'"'     == `"2"'
assert `"`e(tr1choice1)'"' == `"2 3 4"'
assert `"`e(tr1choice0)'"' == `"1"'
assert `"`e(eqstr1)'"'     == `"1"'
assert `"`e(treelevels)'"' == `"1 2 3 4"'
assert `"`e(predict)'"'    == `"seqlogit_p"'
assert `"`e(cmd)'"'        == `"seqlogit"'
assert `"`e(m_mn)'"'       == `"-1 1"'
assert `"`e(pr_mn)'"'      == `".25 .75"'
assert `"`e(sd_mn)'"'      == `".5 .5"'
assert `"`e(sigma)'"'      == `"1 1 1"'
assert `"`e(opt)'"'        == `"ml"'
assert `"`e(depvar)'"'     == `"ed"'
assert `"`e(ml_method)'"'  == `"lf"'
assert `"`e(user)'"'       == `"seqlogit_uh_lf"'
assert `"`e(chi2type)'"'   == `"LR"'
assert `"`e(crittype)'"'   == `"log likelihood"'
assert `"`e(technique)'"'  == `"nr"'
assert `"`e(properties)'"' == `"b V"'

assert         e(rc)         == 0
assert reldif( e(ll)          , -2881.096904002643) <  1E-8
assert         e(converged)  == 1
assert         e(rank)       == 15
assert         e(df_m)       == 12
assert reldif( e(ll_0)        , -2936.390128525486) <  1E-8
assert reldif( e(chi2)        , 110.586449045687  ) <  1E-8
assert reldif( e(p)           , 4.58116481046e-18 ) <  1E-8
assert         e(k)          == 15
assert         e(k_eq)       == 3
assert         e(k_dv)       == 1
assert         e(ic)         == 4
assert         e(N)          == 2244
assert         e(k_eq_model) == 1
assert         e(draws)      == 100
assert         e(k_eform)    == 3
assert         e(k_cat)      == 4
assert         e(Ntrans)     == 3
assert         e(eqs)        == 3
assert         e(Nchoice1)   == 2
assert         e(treq3)      == 3
assert         e(treq2)      == 2
assert         e(treq1)      == 1
assert         e(eqtr3c1)    == 3
assert         e(Nchoice3)   == 2
assert         e(eqtr2c1)    == 2
assert         e(Nchoice2)   == 2
assert         e(eqtr1c1)    == 1

tempname T_b 
mat `T_b' = J(1,15,0)
mat `T_b'[1,1] =  1.499840321650839
mat `T_b'[1,2] = -.5146417282232277
mat `T_b'[1,3] =  .9315468540027281
mat `T_b'[1,4] = -1.368368266764635
mat `T_b'[1,5] =  1.275155868517507
mat `T_b'[1,6] =  .3156890980213584
mat `T_b'[1,7] = -.2725068658437433
mat `T_b'[1,8] =  .1958242513639185
mat `T_b'[1,9] = -.2554043723388776
mat `T_b'[1,10] = -.6922321872663175
mat `T_b'[1,11] =  .3107744870723156
mat `T_b'[1,12] =  .3987345358757086
mat `T_b'[1,13] =  .3773153658848104
mat `T_b'[1,14] = -.3875510445641707
mat `T_b'[1,15] = -1.319486566040981
tempname C_b
matrix `C_b' = e(b)
assert mreldif( `C_b' , `T_b' ) < 1E-8
_assert_streq `"`: rowfullnames `C_b''"' `"y1"'
_assert_streq `"`: colfullnames `C_b''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_b' `T_b'

tempname T_V 
mat `T_V' = J(15,15,0)
mat `T_V'[1,1] =  .1476670480343752
mat `T_V'[1,2] = -.0016024179774661
mat `T_V'[1,3] = -.0190492481785673
mat `T_V'[1,4] = -.1477770718779659
mat `T_V'[1,5] =  .0196847448501027
mat `T_V'[1,6] =  .0158125762122599
mat `T_V'[1,7] = -.0000585688623296
mat `T_V'[1,8] =  -.001840951936895
mat `T_V'[1,9] = -.0158166703651978
mat `T_V'[1,10] =  .0018638209159677
mat `T_V'[1,11] =  .0084800379940225
mat `T_V'[1,12] = -.0000193500886678
mat `T_V'[1,13] = -.0008585605658268
mat `T_V'[1,14] = -.0084828422184958
mat `T_V'[1,15] =  .0008659364117391
mat `T_V'[2,1] = -.0016024179774661
mat `T_V'[2,2] =  .0219820637221325
mat `T_V'[2,3] =  .0059975305361324
mat `T_V'[2,4] =   .003110030068219
mat `T_V'[2,5] = -.0147061663505455
mat `T_V'[2,6] = -.0000177906924782
mat `T_V'[2,7] =  .0019995019660272
mat `T_V'[2,8] =  .0005829272271764
mat `T_V'[2,9] =  .0001380723039125
mat `T_V'[2,10] = -.0013030824050376
mat `T_V'[2,11] =   .000016433807597
mat `T_V'[2,12] =  .0010442636627446
mat `T_V'[2,13] =  .0003105703823607
mat `T_V'[2,14] =  .0000496672222379
mat `T_V'[2,15] = -.0006570580560566
mat `T_V'[3,1] = -.0190492481785673
mat `T_V'[3,2] =  .0059975305361324
mat `T_V'[3,3] =  .0274298061493619
mat `T_V'[3,4] =  .0311857913896505
mat `T_V'[3,5] = -.0199022612761466
mat `T_V'[3,6] =   -.00179036208551
mat `T_V'[3,7] =  .0005728868340414
mat `T_V'[3,8] =  .0026702145366473
mat `T_V'[3,9] =  .0027754175032639
mat `T_V'[3,10] =  -.002068018650458
mat `T_V'[3,11] = -.0008216944538066
mat `T_V'[3,12] =  .0003096468259806
mat `T_V'[3,13] =  .0013714758462848
mat `T_V'[3,14] =  .0013063607309463
mat `T_V'[3,15] = -.0010700534978831
mat `T_V'[4,1] = -.1477770718779659
mat `T_V'[4,2] =   .003110030068219
mat `T_V'[4,3] =  .0311857913896505
mat `T_V'[4,4] =  .2344068072906237
mat `T_V'[4,5] = -.0206934157593877
mat `T_V'[4,6] =  -.015812343800966
mat `T_V'[4,7] =  .0001772941552546
mat `T_V'[4,8] =  .0028259317468235
mat `T_V'[4,9] =  .0231326440368978
mat `T_V'[4,10] = -.0019421747459582
mat `T_V'[4,11] =  -.008478893637463
mat `T_V'[4,12] =  .0000911019055294
mat `T_V'[4,13] =  .0013462689404446
mat `T_V'[4,14] =  .0121227432347713
mat `T_V'[4,15] = -.0009109784200167
mat `T_V'[5,1] =  .0196847448501027
mat `T_V'[5,2] = -.0147061663505455
mat `T_V'[5,3] = -.0199022612761466
mat `T_V'[5,4] = -.0206934157593877
mat `T_V'[5,5] =  .0257288214913044
mat `T_V'[5,6] =  .0017914356196536
mat `T_V'[5,7] = -.0012895649442159
mat `T_V'[5,8] = -.0020736498825567
mat `T_V'[5,9] = -.0018693218833023
mat `T_V'[5,10] =  .0025390852848927
mat `T_V'[5,11] =  .0008092293322348
mat `T_V'[5,12] = -.0006503873784117
mat `T_V'[5,13] = -.0010735947809252
mat `T_V'[5,14] = -.0008518041058609
mat `T_V'[5,15] =  .0012902961642315
mat `T_V'[6,1] =  .0158125762122599
mat `T_V'[6,2] = -.0000177906924782
mat `T_V'[6,3] =   -.00179036208551
mat `T_V'[6,4] =  -.015812343800966
mat `T_V'[6,5] =  .0017914356196536
mat `T_V'[6,6] =  .1394302714671005
mat `T_V'[6,7] = -.0009911025494939
mat `T_V'[6,8] = -.0090982404329257
mat `T_V'[6,9] = -.1394832970914275
mat `T_V'[6,10] =  .0094349711548209
mat `T_V'[6,11] =  .0119591125992925
mat `T_V'[6,12] = -.0000998970568643
mat `T_V'[6,13] = -.0010253050135772
mat `T_V'[6,14] = -.0119647449583928
mat `T_V'[6,15] =  .0010597034948837
mat `T_V'[7,1] = -.0000585688623296
mat `T_V'[7,2] =  .0019995019660272
mat `T_V'[7,3] =  .0005728868340414
mat `T_V'[7,4] =  .0001772941552546
mat `T_V'[7,5] = -.0012895649442159
mat `T_V'[7,6] = -.0009911025494939
mat `T_V'[7,7] =  .0127170823909873
mat `T_V'[7,8] =  .0032965953973966
mat `T_V'[7,9] =  .0016725449581631
mat `T_V'[7,10] = -.0076205516392527
mat `T_V'[7,11] = -.0001117650967244
mat `T_V'[7,12] =  .0012730038387713
mat `T_V'[7,13] =  .0003240870504567
mat `T_V'[7,14] =  .0001860185267143
mat `T_V'[7,15] = -.0007640427309151
mat `T_V'[8,1] =  -.001840951936895
mat `T_V'[8,2] =  .0005829272271764
mat `T_V'[8,3] =  .0026702145366473
mat `T_V'[8,4] =  .0028259317468235
mat `T_V'[8,5] = -.0020736498825567
mat `T_V'[8,6] = -.0090982404329257
mat `T_V'[8,7] =  .0032965953973966
mat `T_V'[8,8] =  .0176745543706056
mat `T_V'[8,9] =  .0145097201620651
mat `T_V'[8,10] = -.0142329996082625
mat `T_V'[8,11] = -.0010268211584879
mat `T_V'[8,12] =   .000332627291785
mat `T_V'[8,13] =  .0016738454056018
mat `T_V'[8,14] =   .001598145938821
mat `T_V'[8,15] = -.0013091644466877
mat `T_V'[9,1] = -.0158166703651978
mat `T_V'[9,2] =  .0001380723039125
mat `T_V'[9,3] =  .0027754175032639
mat `T_V'[9,4] =  .0231326440368978
mat `T_V'[9,5] = -.0018693218833023
mat `T_V'[9,6] = -.1394832970914275
mat `T_V'[9,7] =  .0016725449581631
mat `T_V'[9,8] =  .0145097201620651
mat `T_V'[9,9] =  .1808369840987209
mat `T_V'[9,10] = -.0098433814154784
mat `T_V'[9,11] = -.0119654650493057
mat `T_V'[9,12] =  .0001734220053533
mat `T_V'[9,13] =  .0015958049707731
mat `T_V'[9,14] =  .0162952882181311
mat `T_V'[9,15] = -.0011035802463246
mat `T_V'[10,1] =  .0018638209159677
mat `T_V'[10,2] = -.0013030824050376
mat `T_V'[10,3] =  -.002068018650458
mat `T_V'[10,4] = -.0019421747459582
mat `T_V'[10,5] =  .0025390852848927
mat `T_V'[10,6] =  .0094349711548209
mat `T_V'[10,7] = -.0076205516392527
mat `T_V'[10,8] = -.0142329996082625
mat `T_V'[10,9] = -.0098433814154784
mat `T_V'[10,10] =  .0168242718125387
mat `T_V'[10,11] =   .001065073159159
mat `T_V'[10,12] = -.0007709540678731
mat `T_V'[10,13] = -.0013058486416112
mat `T_V'[10,14] = -.0011099600088561
mat `T_V'[10,15] =   .001572078707981
mat `T_V'[11,1] =  .0084800379940225
mat `T_V'[11,2] =   .000016433807597
mat `T_V'[11,3] = -.0008216944538066
mat `T_V'[11,4] =  -.008478893637463
mat `T_V'[11,5] =  .0008092293322348
mat `T_V'[11,6] =  .0119591125992925
mat `T_V'[11,7] = -.0001117650967244
mat `T_V'[11,8] = -.0010268211584879
mat `T_V'[11,9] = -.0119654650493057
mat `T_V'[11,10] =   .001065073159159
mat `T_V'[11,11] =  .2613720641304211
mat `T_V'[11,12] = -.0018171224009993
mat `T_V'[11,13] = -.0145090448689857
mat `T_V'[11,14] = -.2614299102091118
mat `T_V'[11,15] =  .0150720343608259
mat `T_V'[12,1] = -.0000193500886678
mat `T_V'[12,2] =  .0010442636627446
mat `T_V'[12,3] =  .0003096468259806
mat `T_V'[12,4] =  .0000911019055294
mat `T_V'[12,5] = -.0006503873784117
mat `T_V'[12,6] = -.0000998970568643
mat `T_V'[12,7] =  .0012730038387713
mat `T_V'[12,8] =   .000332627291785
mat `T_V'[12,9] =  .0001734220053533
mat `T_V'[12,10] = -.0007709540678731
mat `T_V'[12,11] = -.0018171224009993
mat `T_V'[12,12] =     .0227390332921
mat `T_V'[12,13] =   .005330843196545
mat `T_V'[12,14] =  .0025422810214294
mat `T_V'[12,15] = -.0123764414031158
mat `T_V'[13,1] = -.0008585605658268
mat `T_V'[13,2] =  .0003105703823607
mat `T_V'[13,3] =  .0013714758462848
mat `T_V'[13,4] =  .0013462689404446
mat `T_V'[13,5] = -.0010735947809252
mat `T_V'[13,6] = -.0010253050135772
mat `T_V'[13,7] =  .0003240870504567
mat `T_V'[13,8] =  .0016738454056018
mat `T_V'[13,9] =  .0015958049707731
mat `T_V'[13,10] = -.0013058486416112
mat `T_V'[13,11] = -.0145090448689857
mat `T_V'[13,12] =   .005330843196545
mat `T_V'[13,13] =  .0315002960106276
mat `T_V'[13,14] =  .0235737291723851
mat `T_V'[13,15] = -.0254605051820642
mat `T_V'[14,1] = -.0084828422184958
mat `T_V'[14,2] =  .0000496672222379
mat `T_V'[14,3] =  .0013063607309463
mat `T_V'[14,4] =  .0121227432347713
mat `T_V'[14,5] = -.0008518041058609
mat `T_V'[14,6] = -.0119647449583928
mat `T_V'[14,7] =  .0001860185267143
mat `T_V'[14,8] =   .001598145938821
mat `T_V'[14,9] =  .0162952882181311
mat `T_V'[14,10] = -.0011099600088561
mat `T_V'[14,11] = -.2614299102091118
mat `T_V'[14,12] =  .0025422810214294
mat `T_V'[14,13] =  .0235737291723851
mat `T_V'[14,14] =  .3340399076904346
mat `T_V'[14,15] = -.0154670137126627
mat `T_V'[15,1] =  .0008659364117391
mat `T_V'[15,2] = -.0006570580560566
mat `T_V'[15,3] = -.0010700534978831
mat `T_V'[15,4] = -.0009109784200167
mat `T_V'[15,5] =  .0012902961642315
mat `T_V'[15,6] =  .0010597034948837
mat `T_V'[15,7] = -.0007640427309151
mat `T_V'[15,8] = -.0013091644466877
mat `T_V'[15,9] = -.0011035802463246
mat `T_V'[15,10] =   .001572078707981
mat `T_V'[15,11] =  .0150720343608259
mat `T_V'[15,12] = -.0123764414031158
mat `T_V'[15,13] = -.0254605051820642
mat `T_V'[15,14] = -.0154670137126627
mat `T_V'[15,15] =  .0292956093545194
tempname C_V
matrix `C_V' = e(V)
assert mreldif( `C_V' , `T_V' ) < 1E-8
_assert_streq `"`: rowfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
_assert_streq `"`: colfullnames `C_V''"' `"_2_3_4v1:byr _2_3_4v1:south _2_3_4v1:white _2_3_4v1:_white_X_byr _2_3_4v1:_cons _3_4v2:byr _3_4v2:south _3_4v2:white _3_4v2:_white_X_byr _3_4v2:_cons _4v3:byr _4v3:south _4v3:white _4v3:_white_X_byr _4v3:_cons"'
mat drop `C_V' `T_V'

// Check bug in tree parsing reported by Dominik Becker does not return
	 
drop _all
set obs 500
gen y = floor(6*uniform())
seqlogit y, tree (0 : 1 2 3 4 5 , 1 2 : 3 4 5 , 1 : 2 , 3 : 4 : 5)
	 
exit
