clear 
cscript uhdesc adofiles uhdesc

use nlsw88, clear
gen ed = cond(grade< 12, 1, ///
         cond(grade==12, 2, ///
         cond(grade<16,3,4))) if grade < .
gen byr = (1988-age-1950)/10
gen white = race == 1 if race < .

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1)

uhdesc 

tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000729657725656
mat `T_result'[1,3] =  .9999568538345972
mat `T_result'[1,4] = -.0001340915183452
mat `T_result'[2,1] =   .860959388443317
mat `T_result'[2,2] =  .1234715271340092
mat `T_result'[2,3] =  .9548898721040471
mat `T_result'[2,4] = -.0463551812821133
mat `T_result'[3,1] =  .4324539201895344
mat `T_result'[3,2] =  .5037845914132827
mat `T_result'[3,3] =  .8834365383120495
mat `T_result'[3,4] = -.0505177263427844
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)

tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =  .4604552209170197
mat `T_p'[1,3] =  .1991764507872427
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8667394752017922
mat `T_p'[2,3] =  .4372962587912198
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9748668287528368
mat `T_p'[3,3] =   .580365806760222
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] = -.0000729657725656
mat `T_m'[1,2] =  .4461559011540353
mat `T_m'[1,3] =  .8447241445705805
mat `T_m'[2,1] = -.0000729657725656
mat `T_m'[2,2] =  .1186784386522356
mat `T_m'[2,3] =  .4981789204114432
mat `T_m'[3,1] = -.0000729657725656
mat `T_m'[3,2] =   .024208795944119
mat `T_m'[3,3] =  .3535441693159389
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  .9999568538345972
mat `T_s'[1,2] =  .9090776874485808
mat `T_s'[1,3] =  .8399428946070006
mat `T_s'[2,1] =  .9999568538345972
mat `T_s'[2,2] =  .9562200415244195
mat `T_s'[2,3] =  .8844521843385346
mat `T_s'[3,1] =  .9999568538345972
mat `T_s'[3,2] =  .9887838370527886
mat `T_s'[3,3] =  .9102632797419408
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] = -.0001340915183452
mat `T_c'[1,2] = -.0464733878978147
mat `T_c'[1,3] =   -.05000785773338
mat `T_c'[2,1] = -.0001340915183452
mat `T_c'[2,2] = -.0382944489143457
mat `T_c'[2,3] = -.0422706369470356
mat `T_c'[3,1] = -.0001340915183452
mat `T_c'[3,2] =  .0300841331927012
mat `T_c'[3,3] =  .0924148785905942
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000729657725656
mat `T_result'[1,3] =  .9999568538345972
mat `T_result'[1,4] = -.0001340915183452
mat `T_result'[2,1] =  .4604552209170197
mat `T_result'[2,2] =  .4461559011540353
mat `T_result'[2,3] =  .9090776874485808
mat `T_result'[2,4] = -.0464733878978147
mat `T_result'[3,1] =  .1991764507872427
mat `T_result'[3,2] =  .8447241445705805
mat `T_result'[3,3] =  .8399428946070006
mat `T_result'[3,4] =   -.05000785773338
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] = -.0000729657725656
mat `T_result'[4,3] =  .9999568538345972
mat `T_result'[4,4] = -.0001340915183452
mat `T_result'[5,1] =  .8667394752017922
mat `T_result'[5,2] =  .1186784386522356
mat `T_result'[5,3] =  .9562200415244195
mat `T_result'[5,4] = -.0382944489143457
mat `T_result'[6,1] =  .4372962587912198
mat `T_result'[6,2] =  .4981789204114432
mat `T_result'[6,3] =  .8844521843385346
mat `T_result'[6,4] = -.0422706369470356
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] = -.0000729657725656
mat `T_result'[7,3] =  .9999568538345972
mat `T_result'[7,4] = -.0001340915183452
mat `T_result'[8,1] =  .9748668287528368
mat `T_result'[8,2] =   .024208795944119
mat `T_result'[8,3] =  .9887838370527886
mat `T_result'[8,4] =  .0300841331927012
mat `T_result'[9,1] =   .580365806760222
mat `T_result'[9,2] =  .3535441693159389
mat `T_result'[9,3] =  .9102632797419408
mat `T_result'[9,4] =  .0924148785905942
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) rho(.4)
uhdesc 

tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000729657725656
mat `T_result'[1,3] =  .9999568538345972
mat `T_result'[1,4] =  .3998371190572378
mat `T_result'[2,1] =  .8559228655367943
mat `T_result'[2,2] =   .127634294532962
mat `T_result'[2,3] =  .9537551657341977
mat `T_result'[2,4] =  .3665698932390705
mat `T_result'[3,1] =  .4338412891712685
mat `T_result'[3,2] =  .5036253471387414
mat `T_result'[3,3] =  .8827415255033018
mat `T_result'[3,4] =  .3832537701333018
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'


uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)


tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =   .460438147987546
mat `T_p'[1,3] =  .2052263809573391
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8617479395716858
mat `T_p'[2,3] =  .4385240012683651
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9727518625072732
mat `T_p'[3,3] =  .5755426620366319
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] = -.0000729657725656
mat `T_m'[1,2] =  .4461702996540858
mat `T_m'[1,3] =  .8351868926275328
mat `T_m'[2,1] = -.0000729657725656
mat `T_m'[2,2] =  .1228186380307591
mat `T_m'[2,3] =  .4981625871214149
mat `T_m'[3,1] = -.0000729657725656
mat `T_m'[3,2] =   .026189255510325
mat `T_m'[3,3] =  .3579173028165332
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  .9999568538345972
mat `T_s'[1,2] =  .9090772167122312
mat `T_s'[1,3] =  .8399691454194462
mat `T_s'[2,1] =  .9999568538345972
mat `T_s'[2,2] =  .9550695609912585
mat `T_s'[2,3] =  .8837519982415925
mat `T_s'[3,1] =  .9999568538345972
mat `T_s'[3,2] =  .9879429709485489
mat `T_s'[3,3] =  .9094943906642413
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] =  .3998371190572378
mat `T_c'[1,2] =  .0123860661438929
mat `T_c'[1,3] =  .0030562133306033
mat `T_c'[2,1] =  .3998371190572378
mat `T_c'[2,2] =  .3749950719623737
mat `T_c'[2,3] =  .3925138165082793
mat `T_c'[3,1] =  .3998371190572378
mat `T_c'[3,2] =  .4320138182912983
mat `T_c'[3,3] =  .5073159969329878
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000729657725656
mat `T_result'[1,3] =  .9999568538345972
mat `T_result'[1,4] =  .3998371190572378
mat `T_result'[2,1] =   .460438147987546
mat `T_result'[2,2] =  .4461702996540858
mat `T_result'[2,3] =  .9090772167122312
mat `T_result'[2,4] =  .0123860661438929
mat `T_result'[3,1] =  .2052263809573391
mat `T_result'[3,2] =  .8351868926275328
mat `T_result'[3,3] =  .8399691454194462
mat `T_result'[3,4] =  .0030562133306033
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] = -.0000729657725656
mat `T_result'[4,3] =  .9999568538345972
mat `T_result'[4,4] =  .3998371190572378
mat `T_result'[5,1] =  .8617479395716858
mat `T_result'[5,2] =  .1228186380307591
mat `T_result'[5,3] =  .9550695609912585
mat `T_result'[5,4] =  .3749950719623737
mat `T_result'[6,1] =  .4385240012683651
mat `T_result'[6,2] =  .4981625871214149
mat `T_result'[6,3] =  .8837519982415925
mat `T_result'[6,4] =  .3925138165082793
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] = -.0000729657725656
mat `T_result'[7,3] =  .9999568538345972
mat `T_result'[7,4] =  .3998371190572378
mat `T_result'[8,1] =  .9727518625072732
mat `T_result'[8,2] =   .026189255510325
mat `T_result'[8,3] =  .9879429709485489
mat `T_result'[8,4] =  .4320138182912983
mat `T_result'[9,1] =  .5755426620366319
mat `T_result'[9,2] =  .3579173028165332
mat `T_result'[9,3] =  .9094943906642413
mat `T_result'[9,4] =  .5073159969329878
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

seqlogit ed byr south,                   ///   
	 ofinterest(white) over(byr)     ///
	 tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
	 levels(1=6, 2=12, 3=14, 4= 16)  ///
	 or sd(.5 1 2) pr(.6 .3 .1)

uhdesc 


tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000199293046123
mat `T_result'[1,3] =  .4999862590086177
mat `T_result'[1,4] =  .0001700157244266
mat `T_result'[2,1] =  .8616725890377016
mat `T_result'[2,2] =    .05569963853463
mat `T_result'[2,3] =  1.021964139490681
mat `T_result'[2,4] = -.0229608921831134
mat `T_result'[3,1] =  .4329264588363615
mat `T_result'[3,2] =  .9769899749312118
mat `T_result'[3,3] =  2.193676956925593
mat `T_result'[3,4] = -.0401808783442364
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)


tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =  .4570714310408685
mat `T_p'[1,3] =  .2007183371538608
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8673257065739614
mat `T_p'[2,3] =  .4375930250068637
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9725558418311117
mat `T_p'[3,3] =  .5711055687109964
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] = -.0000199293046123
mat `T_m'[1,2] =  .2622299317427632
mat `T_m'[1,3] =  1.679999519367755
mat `T_m'[2,1] = -.0000199293046123
mat `T_m'[2,2] =  .0532923554895347
mat `T_m'[2,3] =  .9655235641026378
mat `T_m'[3,1] = -.0000199293046123
mat `T_m'[3,2] =  .0105113317956581
mat `T_m'[3,3] =  .6685508656963367
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  .4999862590086177
mat `T_s'[1,2] =  1.089470231443673
mat `T_s'[1,3] =  2.191140472085429
mat `T_s'[2,1] =  .4999862590086177
mat `T_s'[2,2] =  1.021053865875247
mat `T_s'[2,3] =  2.192882584027351
mat `T_s'[3,1] =  .4999862590086177
mat `T_s'[3,2] =  1.004287807021728
mat `T_s'[3,3] =   2.16094639625545
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] =  .0001700157244266
mat `T_c'[1,2] = -.0311522281241113
mat `T_c'[1,3] = -.0388336203733653
mat `T_c'[2,1] =  .0001700157244266
mat `T_c'[2,2] = -.0186374850262461
mat `T_c'[2,3] =  -.033646846483491
mat `T_c'[3,1] =  .0001700157244266
mat `T_c'[3,2] =  .0125666792290321
mat `T_c'[3,3] =  .0759246479595082
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000199293046123
mat `T_result'[1,3] =  .4999862590086177
mat `T_result'[1,4] =  .0001700157244266
mat `T_result'[2,1] =  .4570714310408685
mat `T_result'[2,2] =  .2622299317427632
mat `T_result'[2,3] =  1.089470231443673
mat `T_result'[2,4] = -.0311522281241113
mat `T_result'[3,1] =  .2007183371538608
mat `T_result'[3,2] =  1.679999519367755
mat `T_result'[3,3] =  2.191140472085429
mat `T_result'[3,4] = -.0388336203733653
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] = -.0000199293046123
mat `T_result'[4,3] =  .4999862590086177
mat `T_result'[4,4] =  .0001700157244266
mat `T_result'[5,1] =  .8673257065739614
mat `T_result'[5,2] =  .0532923554895347
mat `T_result'[5,3] =  1.021053865875247
mat `T_result'[5,4] = -.0186374850262461
mat `T_result'[6,1] =  .4375930250068637
mat `T_result'[6,2] =  .9655235641026378
mat `T_result'[6,3] =  2.192882584027351
mat `T_result'[6,4] =  -.033646846483491
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] = -.0000199293046123
mat `T_result'[7,3] =  .4999862590086177
mat `T_result'[7,4] =  .0001700157244266
mat `T_result'[8,1] =  .9725558418311117
mat `T_result'[8,2] =  .0105113317956581
mat `T_result'[8,3] =  1.004287807021728
mat `T_result'[8,4] =  .0125666792290321
mat `T_result'[9,1] =  .5711055687109964
mat `T_result'[9,2] =  .6685508656963367
mat `T_result'[9,3] =   2.16094639625545
mat `T_result'[9,4] =  .0759246479595082
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'


seqlogit ed byr south,                   ///   
	 ofinterest(white)      ///
	 tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
	 levels(1=6, 2=12, 3=14, 4= 16)  ///
	 or sd(.5 1 2) pr(.6 .3 .1)

uhdesc 	 


tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000199293046123
mat `T_result'[1,3] =  .4999862590086177
mat `T_result'[1,4] =  .0001700157244266
mat `T_result'[2,1] =  .8629145821351716
mat `T_result'[2,2] =  .0551697707904226
mat `T_result'[2,3] =  1.021764070069441
mat `T_result'[2,4] = -.0233775723841663
mat `T_result'[3,1] =  .4339664186211836
mat `T_result'[3,2] =  .9744207502785667
mat `T_result'[3,3] =  2.193501212609226
mat `T_result'[3,4] = -.0398032803501244
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'


uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)

tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =  .3146633545698167
mat `T_p'[1,3] =  .1480966947197843
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8702481053204483
mat `T_p'[2,3] =  .4391099928099271
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9841454760122878
mat `T_p'[3,3] =  .5676136727458285
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] = -.0000199293046123
mat `T_m'[1,2] =  .3543756222762539
mat `T_m'[1,3] =   1.83167280567179
mat `T_m'[2,1] = -.0000199293046123
mat `T_m'[2,2] =  .0520524034035242
mat `T_m'[2,3] =  .9620610398653212
mat `T_m'[3,1] = -.0000199293046123
mat `T_m'[3,2] =   .006026111269345
mat `T_m'[3,3] =  .6784287902252241
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  .4999862590086177
mat `T_s'[1,2] =  1.114270635598407
mat `T_s'[1,3] =  2.182466692967755
mat `T_s'[2,1] =  .4999862590086177
mat `T_s'[2,2] =  1.020583671482799
mat `T_s'[2,3] =  2.192655380801688
mat `T_s'[3,1] =  .4999862590086177
mat `T_s'[3,2] =  1.002462497960774
mat `T_s'[3,3] =  2.162391287625271
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] =  .0001700157244266
mat `T_c'[1,2] = -.0416809071520394
mat `T_c'[1,3] = -.0554290774692357
mat `T_c'[2,1] =  .0001700157244266
mat `T_c'[2,2] = -.0223458717561846
mat `T_c'[2,3] = -.0387878935301237
mat `T_c'[3,1] =  .0001700157244266
mat `T_c'[3,2] = -.0030418269669787
mat `T_c'[3,3] = -.0184735306989139
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000199293046123
mat `T_result'[1,3] =  .4999862590086177
mat `T_result'[1,4] =  .0001700157244266
mat `T_result'[2,1] =  .3146633545698167
mat `T_result'[2,2] =  .3543756222762539
mat `T_result'[2,3] =  1.114270635598407
mat `T_result'[2,4] = -.0416809071520394
mat `T_result'[3,1] =  .1480966947197843
mat `T_result'[3,2] =   1.83167280567179
mat `T_result'[3,3] =  2.182466692967755
mat `T_result'[3,4] = -.0554290774692357
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] = -.0000199293046123
mat `T_result'[4,3] =  .4999862590086177
mat `T_result'[4,4] =  .0001700157244266
mat `T_result'[5,1] =  .8702481053204483
mat `T_result'[5,2] =  .0520524034035242
mat `T_result'[5,3] =  1.020583671482799
mat `T_result'[5,4] = -.0223458717561846
mat `T_result'[6,1] =  .4391099928099271
mat `T_result'[6,2] =  .9620610398653212
mat `T_result'[6,3] =  2.192655380801688
mat `T_result'[6,4] = -.0387878935301237
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] = -.0000199293046123
mat `T_result'[7,3] =  .4999862590086177
mat `T_result'[7,4] =  .0001700157244266
mat `T_result'[8,1] =  .9841454760122878
mat `T_result'[8,2] =   .006026111269345
mat `T_result'[8,3] =  1.002462497960774
mat `T_result'[8,4] = -.0030418269669787
mat `T_result'[9,1] =  .5676136727458285
mat `T_result'[9,2] =  .6784287902252241
mat `T_result'[9,3] =  2.162391287625271
mat `T_result'[9,4] = -.0184735306989139
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) deltasd(byr .1)

uhdesc 

tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000721242599725
mat `T_result'[1,3] =  .9884243742149477
mat `T_result'[1,4] = -.0001340915183452
mat `T_result'[2,1] =  .8611161411391711
mat `T_result'[2,2] =  .1208202148837466
mat `T_result'[2,3] =  .9446805142778321
mat `T_result'[2,4] = -.0457825331976521
mat `T_result'[3,1] =  .4327159951654825
mat `T_result'[3,2] =  .4940107696258378
mat `T_result'[3,3] =  .8750052466981606
mat `T_result'[3,4] = -.0498282133616128
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'


uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)

tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =  .3908143470192048
mat `T_p'[1,3] =  .1489619088171462
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8668569213788864
mat `T_p'[2,3] =  .4375208413374912
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9702898150892767
mat `T_p'[3,3] =  .5569200122052612
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] = -.0000364828862828
mat `T_m'[1,2] =  .1440772918613914
mat `T_m'[1,3] =  .2828561049147493
mat `T_m'[2,1] = -.0000729657725656
mat `T_m'[2,2] =  .1185808666757956
mat `T_m'[2,3] =  .4979523442515733
mat `T_m'[3,1] = -.0001021520815919
mat `T_m'[3,2] =   .053083326316262
mat `T_m'[3,3] =  .6429171431840888
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  .4999784269172986
mat `T_s'[1,2] =  .4860688571191692
mat `T_s'[1,3] =  .4730661160845188
mat `T_s'[2,1] =  .9999568538345972
mat `T_s'[2,2] =  .9562473859853163
mat `T_s'[2,3] =   .884477098818927
mat `T_s'[3,1] =  1.399939595368436
mat `T_s'[3,2] =  1.368551218172282
mat `T_s'[3,3] =  1.203107783877166
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] = -.0001340915183452
mat `T_c'[1,2] = -.0169580153109944
mat `T_c'[1,3] = -.0155870963675167
mat `T_c'[2,1] = -.0001340915183452
mat `T_c'[2,2] = -.0381695545525607
mat `T_c'[2,3] = -.0420802914953979
mat `T_c'[3,1] = -.0001340915183452
mat `T_c'[3,2] =  .0416099642873179
mat `T_c'[3,3] =  .0929692705445551
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000364828862828
mat `T_result'[1,3] =  .4999784269172986
mat `T_result'[1,4] = -.0001340915183452
mat `T_result'[2,1] =  .3908143470192048
mat `T_result'[2,2] =  .1440772918613914
mat `T_result'[2,3] =  .4860688571191692
mat `T_result'[2,4] = -.0169580153109944
mat `T_result'[3,1] =  .1489619088171462
mat `T_result'[3,2] =  .2828561049147493
mat `T_result'[3,3] =  .4730661160845188
mat `T_result'[3,4] = -.0155870963675167
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] = -.0000729657725656
mat `T_result'[4,3] =  .9999568538345972
mat `T_result'[4,4] = -.0001340915183452
mat `T_result'[5,1] =  .8668569213788864
mat `T_result'[5,2] =  .1185808666757956
mat `T_result'[5,3] =  .9562473859853163
mat `T_result'[5,4] = -.0381695545525607
mat `T_result'[6,1] =  .4375208413374912
mat `T_result'[6,2] =  .4979523442515733
mat `T_result'[6,3] =   .884477098818927
mat `T_result'[6,4] = -.0420802914953979
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] = -.0001021520815919
mat `T_result'[7,3] =  1.399939595368436
mat `T_result'[7,4] = -.0001340915183452
mat `T_result'[8,1] =  .9702898150892767
mat `T_result'[8,2] =   .053083326316262
mat `T_result'[8,3] =  1.368551218172282
mat `T_result'[8,4] =  .0416099642873179
mat `T_result'[9,1] =  .5569200122052612
mat `T_result'[9,2] =  .6429171431840888
mat `T_result'[9,3] =  1.203107783877166
mat `T_result'[9,4] =  .0929692705445551
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'


seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) uniform

uhdesc

tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000375671598952
mat `T_result'[1,3] =  1.000001474207882
mat `T_result'[1,4] = -.0000513501580225
mat `T_result'[2,1] =  .8606130298925228
mat `T_result'[2,2] =   .119692987830791
mat `T_result'[2,3] =  .9762330449741015
mat `T_result'[2,4] = -.0487391984294584
mat `T_result'[3,1] =  .4320217618078306
mat `T_result'[3,2] =   .536303451781234
mat `T_result'[3,3] =  .8545447748769109
mat `T_result'[3,4] = -.0543991515167316
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)

tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =  .4649802419876187
mat `T_p'[1,3] =  .2004827064658063
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8664789497871775
mat `T_p'[2,3] =  .4369290995364466
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9754805693256097
mat `T_p'[3,3] =  .5843567278408396
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] = -.0000375671598952
mat `T_m'[1,2] =  .4685809561045917
mat `T_m'[1,3] =  .8525175281500391
mat `T_m'[2,1] = -.0000375671598952
mat `T_m'[2,2] =   .114581468696591
mat `T_m'[2,3] =  .5302927622492093
mat `T_m'[3,1] = -.0000375671598952
mat `T_m'[3,2] =  .0207283553385724
mat `T_m'[3,3] =  .3695863870620033
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  1.000001474207882
mat `T_s'[1,2] =  .8905707272352349
mat `T_s'[1,3] =  .7034848891505775
mat `T_s'[2,1] =  1.000001474207882
mat `T_s'[2,2] =  .9773122260635018
mat `T_s'[2,3] =  .8570436730065236
mat `T_s'[3,1] =  1.000001474207882
mat `T_s'[3,2] =  .9961120551175621
mat `T_s'[3,3] =  .9146656686651644
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] = -.0000513501580225
mat `T_c'[1,2] = -.0369722349791776
mat `T_c'[1,3] = -.0268268775139961
mat `T_c'[2,1] = -.0000513501580225
mat `T_c'[2,2] = -.0399407782285425
mat `T_c'[2,3] = -.0456454449268166
mat `T_c'[3,1] = -.0000513501580225
mat `T_c'[3,2] =  .0275457304697441
mat `T_c'[3,3] =  .1081812823578612
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] = -.0000375671598952
mat `T_result'[1,3] =  1.000001474207882
mat `T_result'[1,4] = -.0000513501580225
mat `T_result'[2,1] =  .4649802419876187
mat `T_result'[2,2] =  .4685809561045917
mat `T_result'[2,3] =  .8905707272352349
mat `T_result'[2,4] = -.0369722349791776
mat `T_result'[3,1] =  .2004827064658063
mat `T_result'[3,2] =  .8525175281500391
mat `T_result'[3,3] =  .7034848891505775
mat `T_result'[3,4] = -.0268268775139961
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] = -.0000375671598952
mat `T_result'[4,3] =  1.000001474207882
mat `T_result'[4,4] = -.0000513501580225
mat `T_result'[5,1] =  .8664789497871775
mat `T_result'[5,2] =   .114581468696591
mat `T_result'[5,3] =  .9773122260635018
mat `T_result'[5,4] = -.0399407782285425
mat `T_result'[6,1] =  .4369290995364466
mat `T_result'[6,2] =  .5302927622492093
mat `T_result'[6,3] =  .8570436730065236
mat `T_result'[6,4] = -.0456454449268166
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] = -.0000375671598952
mat `T_result'[7,3] =  1.000001474207882
mat `T_result'[7,4] = -.0000513501580225
mat `T_result'[8,1] =  .9754805693256097
mat `T_result'[8,2] =  .0207283553385724
mat `T_result'[8,3] =  .9961120551175621
mat `T_result'[8,4] =  .0275457304697441
mat `T_result'[9,1] =  .5843567278408396
mat `T_result'[9,2] =  .3695863870620033
mat `T_result'[9,3] =  .9146656686651644
mat `T_result'[9,4] =  .1081812823578612
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

seqlogit ed byr south,                   ///   
         ofinterest(white) over(byr)     ///
         tree(1 : 2 3 4, 2 : 3 4, 3 : 4) ///
         or sd(1) mn(.25 -1, .75 1)
		
uhdesc

tempname T_result 
mat `T_result' = J(3,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] =  .4999752166306219
mat `T_result'[1,3] =  1.001453541052559
mat `T_result'[1,4] = -.0000859378999684
mat `T_result'[2,1] =  .8608012637996462
mat `T_result'[2,2] =  .6491276480901773
mat `T_result'[2,3] =  .9072850375747352
mat `T_result'[2,4] = -.0547474591076027
mat `T_result'[3,1] =  .4331136654086691
mat `T_result'[3,2] =  .9907841070334459
mat `T_result'[3,3] =  .6711278773908672
mat `T_result'[3,4] = -.0447737362338695
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"_2_3_4v1 _3_4v2 _4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

uhdesc, overat(byr -5, byr 0, byr 4) overlab(1945 1950 1954)		

tempname T_t 
mat `T_t' = J(3,1,0)
mat `T_t'[1,1] =               1945
mat `T_t'[2,1] =               1950
mat `T_t'[3,1] =               1954
tempname C_t
matrix `C_t' = r(t)
assert mreldif( `C_t' , `T_t' ) < 1E-8
_assert_streq `"`: rowfullnames `C_t''"' `"r1 r2 r3"'
_assert_streq `"`: colfullnames `C_t''"' `"c1"'
mat drop `C_t' `T_t'

tempname T_p 
mat `T_p' = J(3,3,0)
mat `T_p'[1,1] =                  1
mat `T_p'[1,2] =  .4540780760129281
mat `T_p'[1,3] =  .1919904545478523
mat `T_p'[2,1] =                  1
mat `T_p'[2,2] =  .8666165554474077
mat `T_p'[2,3] =  .4378027939968253
mat `T_p'[3,1] =                  1
mat `T_p'[3,2] =  .9760317833961949
mat `T_p'[3,3] =  .5737153636492709
tempname C_p
matrix `C_p' = r(p)
assert mreldif( `C_p' , `T_p' ) < 1E-8
_assert_streq `"`: rowfullnames `C_p''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_p''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_p' `T_p'

tempname T_m 
mat `T_m' = J(3,3,0)
mat `T_m'[1,1] =  .4999752166306219
mat `T_m'[1,2] =  .9427332372596623
mat `T_m'[1,3] =  1.186059763641489
mat `T_m'[2,1] =  .4999752166306219
mat `T_m'[2,2] =  .6434674735092784
mat `T_m'[2,3] =  .9869117728871623
mat `T_m'[3,1] =  .4999752166306219
mat `T_m'[3,2] =  .5278831117434676
mat `T_m'[3,3] =  .8803232423618546
tempname C_m
matrix `C_m' = r(m)
assert mreldif( `C_m' , `T_m' ) < 1E-8
_assert_streq `"`: rowfullnames `C_m''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_m''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_m' `T_m'

tempname T_s 
mat `T_s' = J(3,3,0)
mat `T_s'[1,1] =  1.001453541052559
mat `T_s'[1,2] =  .7229338048055369
mat `T_s'[1,3] =  .5532610887228627
mat `T_s'[2,1] =  1.001453541052559
mat `T_s'[2,2] =  .9109115869537354
mat `T_s'[2,3] =  .6741195778915314
mat `T_s'[3,1] =  1.001453541052559
mat `T_s'[3,2] =  .9835912898037806
mat `T_s'[3,3] =  .7544474767006382
tempname C_s
matrix `C_s' = r(s)
assert mreldif( `C_s' , `T_s' ) < 1E-8
_assert_streq `"`: rowfullnames `C_s''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_s''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_s' `T_s'

tempname T_c 
mat `T_c' = J(3,3,0)
mat `T_c'[1,1] = -.0000859378999684
mat `T_c'[1,2] = -.0228178945573934
mat `T_c'[1,3] = -.0195036115144594
mat `T_c'[2,1] = -.0000859378999684
mat `T_c'[2,2] = -.0457373978125291
mat `T_c'[2,3] = -.0379043397056749
mat `T_c'[3,1] = -.0000859378999684
mat `T_c'[3,2] =  .0372304325367937
mat `T_c'[3,3] =  .0857634192238754
tempname C_c
matrix `C_c' = r(c)
assert mreldif( `C_c' , `T_c' ) < 1E-8
_assert_streq `"`: rowfullnames `C_c''"' `"1945 1950 1954"'
_assert_streq `"`: colfullnames `C_c''"' `"_2_3_4v1 _3_4v2 _4v3"'
mat drop `C_c' `T_c'

tempname T_result 
mat `T_result' = J(9,4,0)
mat `T_result'[1,1] =                  1
mat `T_result'[1,2] =  .4999752166306219
mat `T_result'[1,3] =  1.001453541052559
mat `T_result'[1,4] = -.0000859378999684
mat `T_result'[2,1] =  .4540780760129281
mat `T_result'[2,2] =  .9427332372596623
mat `T_result'[2,3] =  .7229338048055369
mat `T_result'[2,4] = -.0228178945573934
mat `T_result'[3,1] =  .1919904545478523
mat `T_result'[3,2] =  1.186059763641489
mat `T_result'[3,3] =  .5532610887228627
mat `T_result'[3,4] = -.0195036115144594
mat `T_result'[4,1] =                  1
mat `T_result'[4,2] =  .4999752166306219
mat `T_result'[4,3] =  1.001453541052559
mat `T_result'[4,4] = -.0000859378999684
mat `T_result'[5,1] =  .8666165554474077
mat `T_result'[5,2] =  .6434674735092784
mat `T_result'[5,3] =  .9109115869537354
mat `T_result'[5,4] = -.0457373978125291
mat `T_result'[6,1] =  .4378027939968253
mat `T_result'[6,2] =  .9869117728871623
mat `T_result'[6,3] =  .6741195778915314
mat `T_result'[6,4] = -.0379043397056749
mat `T_result'[7,1] =                  1
mat `T_result'[7,2] =  .4999752166306219
mat `T_result'[7,3] =  1.001453541052559
mat `T_result'[7,4] = -.0000859378999684
mat `T_result'[8,1] =  .9760317833961949
mat `T_result'[8,2] =  .5278831117434676
mat `T_result'[8,3] =  .9835912898037806
mat `T_result'[8,4] =  .0372304325367937
mat `T_result'[9,1] =  .5737153636492709
mat `T_result'[9,2] =  .8803232423618546
mat `T_result'[9,3] =  .7544474767006382
mat `T_result'[9,4] =  .0857634192238754
tempname C_result
matrix `C_result' = r(result)
assert mreldif( `C_result' , `T_result' ) < 1E-8
_assert_streq `"`: rowfullnames `C_result''"' `"1945:_2_3_4v1 1945:_3_4v2 1945:_4v3 1950:_2_3_4v1 1950:_3_4v2 1950:_4v3 1954:_2_3_4v1 1954:_3_4v2 1954:_4v3"'
_assert_streq `"`: colfullnames `C_result''"' `"p(atrisk) mean(e) sd(e) corr(e,x)"'
mat drop `C_result' `T_result'

exit

